# SOME DESCRIPTIVE TITLE.
# Copyright (C) YEAR THE PACKAGE'S COPYRIGHT HOLDER
# This file is distributed under the same license as the PACKAGE package.
#
# Translators:
msgid ""
msgstr ""
"Project-Id-Version: openconnect\n"
"Report-Msgid-Bugs-To: openconnect-devel@lists.infradead.org\n"
"POT-Creation-Date: 2018-10-13 06:44-0700\n"
"PO-Revision-Date: 2011-09-22 22:31+0000\n"
"Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
"Language-Team: Thai (http://www.transifex.net/projects/p/meego/team/th/)\n"
"Language: th\n"
"MIME-Version: 1.0\n"
"Content-Type: text/plain; charset=UTF-8\n"
"Content-Transfer-Encoding: 8bit\n"
"Plural-Forms: nplurals=1; plural=0\n"

#: auth-globalprotect.c:108
#, c-format
msgid ""
"SAML login is required via %s to this URL:\n"
"\t%s"
msgstr ""

#: auth-globalprotect.c:110
msgid "Please enter your username and password"
msgstr ""

#: auth-globalprotect.c:119
msgid "Username"
msgstr ""

#: auth-globalprotect.c:134
msgid "Password"
msgstr ""

#: auth-globalprotect.c:181
msgid "Challenge: "
msgstr ""

#: auth-globalprotect.c:260
#, c-format
msgid "GlobalProtect login returned %s=%s (expected %s)\n"
msgstr ""

#: auth-globalprotect.c:266
#, c-format
msgid "GlobalProtect login returned empty or missing %s\n"
msgstr ""

#: auth-globalprotect.c:272
#, c-format
msgid "GlobalProtect login returned %s=%s\n"
msgstr ""

#: auth-globalprotect.c:315
msgid "Please select GlobalProtect gateway."
msgstr ""

#: auth-globalprotect.c:325
msgid "GATEWAY:"
msgstr ""

#. each entry looks like <entry name="host[:443]"><description>Label</description></entry>
#: auth-globalprotect.c:379
#, c-format
msgid "%d gateway servers available:\n"
msgstr ""

#: auth-globalprotect.c:400
#, c-format
msgid "  %s (%s)\n"
msgstr ""

#: auth-globalprotect.c:481 auth-juniper.c:706 auth.c:669
msgid "Failed to generate OTP tokencode; disabling token\n"
msgstr ""

#: auth-globalprotect.c:575
msgid "Server is neither a GlobalProtect portal nor a gateway.\n"
msgstr ""

#: auth-globalprotect.c:627 oncp.c:1266
msgid "Logout failed.\n"
msgstr ""

#: auth-globalprotect.c:629
msgid "Logout successful\n"
msgstr ""

#: auth-juniper.c:142
#, c-format
msgid "Ignoring unknown form submit item '%s'\n"
msgstr ""

#: auth-juniper.c:153
#, c-format
msgid "Ignoring unknown form input type '%s'\n"
msgstr ""

#: auth-juniper.c:163
#, c-format
msgid "Discarding duplicate option '%s'\n"
msgstr ""

#: auth-juniper.c:236 auth.c:408
#, c-format
msgid "Cannot handle form method='%s', action='%s'\n"
msgstr ""

#: auth-juniper.c:267
#, c-format
msgid "Unknown textarea field: '%s'\n"
msgstr ""

#: auth-juniper.c:335
msgid "TNCC support not implemented yet on Windows\n"
msgstr ""

#: auth-juniper.c:357
msgid "No DSPREAUTH cookie; not attempting TNCC\n"
msgstr ""

#: auth-juniper.c:368
msgid "Failed to allocate memory for communication with TNCC\n"
msgstr ""

#: auth-juniper.c:403
#, c-format
msgid "Failed to exec TNCC script %s: %s\n"
msgstr ""

#: auth-juniper.c:412
msgid "Failed to send start command to TNCC\n"
msgstr ""

#: auth-juniper.c:419
msgid "Sent start; waiting for response from TNCC\n"
msgstr ""

#: auth-juniper.c:424
msgid "Failed to read response from TNCC\n"
msgstr ""

#: auth-juniper.c:435
msgid "Received invalid response from TNCC\n"
msgstr ""

#: auth-juniper.c:437
#, c-format
msgid ""
"TNCC response: -->\n"
"%s\n"
"<--\n"
msgstr ""

#: auth-juniper.c:445
#, c-format
msgid "Received unsuccessful %s response from TNCC\n"
msgstr ""

#: auth-juniper.c:458
#, c-format
msgid "Got new DSPREAUTH cookie from TNCC: %s\n"
msgstr ""

#: auth-juniper.c:626
msgid "Failed to parse HTML document\n"
msgstr ""

#: auth-juniper.c:643
msgid "Failed to find or parse web form in login page\n"
msgstr ""

#: auth-juniper.c:651
msgid "Encountered form with no ID\n"
msgstr ""

#: auth-juniper.c:689
#, c-format
msgid "Unknown form ID '%s'\n"
msgstr ""

#: auth-juniper.c:692
#, c-format
msgid "Dumping unknown HTML form:\n"
msgstr ""

#: auth.c:96
msgid "Form choice has no name\n"
msgstr ""

#: auth.c:181
#, c-format
msgid "name %s not input\n"
msgstr ""

#: auth.c:188
msgid "No input type in form\n"
msgstr ""

#: auth.c:200
msgid "No input name in form\n"
msgstr ""

#: auth.c:230
#, c-format
msgid "Unknown input type %s in form\n"
msgstr ""

#: auth.c:540 gpst.c:213
msgid "Empty response from server\n"
msgstr ""

#: auth.c:551 gpst.c:288
msgid "Failed to parse server response\n"
msgstr ""

#: auth.c:553 gpst.c:290
#, c-format
msgid "Response was:%s\n"
msgstr ""

#: auth.c:575
msgid "Received <client-cert-request> when not expected.\n"
msgstr ""

#: auth.c:603
msgid "XML response has no \"auth\" node\n"
msgstr ""

#: auth.c:636
msgid "Asked for password but '--no-passwd' set\n"
msgstr ""

#: auth.c:924
msgid "Not downloading XML profile because SHA1 already matches\n"
msgstr ""

#: auth.c:930 cstp.c:320 http.c:915
#, c-format
msgid "Failed to open HTTPS connection to %s\n"
msgstr ""

#: auth.c:951
msgid "Failed to send GET request for new config\n"
msgstr ""

#: auth.c:975
msgid "Downloaded config file did not match intended SHA1\n"
msgstr ""

#: auth.c:980
msgid "Downloaded new XML profile\n"
msgstr ""

#: auth.c:991 auth.c:1043
msgid ""
"Error: Running the 'Cisco Secure Desktop' trojan on this platform is not yet "
"implemented.\n"
msgstr ""

#: auth.c:1002 mainloop.c:144
#, c-format
msgid "Failed to set gid %ld: %s\n"
msgstr ""

#: auth.c:1009 mainloop.c:151
#, c-format
msgid "Failed to set groups to %ld: %s\n"
msgstr ""

#: auth.c:1016 mainloop.c:158
#, c-format
msgid "Failed to set uid %ld: %s\n"
msgstr ""

#: auth.c:1023
#, c-format
msgid "Invalid user uid=%ld: %s\n"
msgstr ""

#: auth.c:1030
#, c-format
msgid "Failed to change to CSD home directory '%s': %s\n"
msgstr ""

#: auth.c:1052
msgid ""
"Error: Server asked us to run CSD hostscan.\n"
"You need to provide a suitable --csd-wrapper argument.\n"
msgstr ""

#: auth.c:1059
msgid ""
"Error: Server asked us to download and run a 'Cisco Secure Desktop' trojan.\n"
"This facility is disabled by default for security reasons, so you may wish "
"to enable it.\n"
msgstr ""

#: auth.c:1066
msgid "Trying to run Linux CSD trojan script.\n"
msgstr ""

#: auth.c:1093
#, c-format
msgid "Temporary directory '%s' is not writable: %s\n"
msgstr ""

#: auth.c:1101
#, c-format
msgid "Failed to open temporary CSD script file: %s\n"
msgstr ""

#: auth.c:1110
#, c-format
msgid "Failed to write temporary CSD script file: %s\n"
msgstr ""

#: auth.c:1140
#, c-format
msgid ""
"Warning: you are running insecure CSD code with root privileges\n"
"\t Use command line option \"--csd-user\"\n"
msgstr ""

#: auth.c:1188
#, c-format
msgid "Failed to exec CSD script %s\n"
msgstr ""

#: auth.c:1220
msgid "Unknown response from server\n"
msgstr ""

#: auth.c:1350
msgid "Server requested SSL client certificate after one was provided\n"
msgstr ""

#: auth.c:1354
msgid "Server requested SSL client certificate; none was configured\n"
msgstr ""

#: auth.c:1370
msgid "XML POST enabled\n"
msgstr ""

#: auth.c:1413
#, c-format
msgid "Refreshing %s after 1 second...\n"
msgstr ""

#: compat.c:207
#, c-format
msgid "(error 0x%lx)"
msgstr ""

#: compat.c:210
msgid "(Error while describing error!)"
msgstr ""

#: compat.c:233
#, c-format
msgid "ERROR: Cannot initialize sockets\n"
msgstr ""

#: cstp.c:112 gpst.c:340
#, c-format
msgid "TCP_INFO rcv mss %d, snd mss %d, adv mss %d, pmtu %d\n"
msgstr ""

#: cstp.c:134 gpst.c:359
#, c-format
msgid "TCP_MAXSEG %d\n"
msgstr ""

#: cstp.c:279
msgid ""
"CRITICAL ERROR: DTLS master secret is uninitialised. Please report this.\n"
msgstr ""

#: cstp.c:297
msgid "Error creating HTTPS CONNECT request\n"
msgstr ""

#: cstp.c:313 http.c:383
msgid "Error fetching HTTPS response\n"
msgstr ""

#: cstp.c:340
#, c-format
msgid "VPN service unavailable; reason: %s\n"
msgstr ""

#: cstp.c:345
#, c-format
msgid "Got inappropriate HTTP CONNECT response: %s\n"
msgstr ""

#: cstp.c:352
#, c-format
msgid "Got CONNECT response: %s\n"
msgstr ""

#: cstp.c:380 cstp.c:388
msgid "No memory for options\n"
msgstr ""

#: cstp.c:397 http.c:443
msgid "<elided>"
msgstr ""

#: cstp.c:416
#, c-format
msgid "X-DTLS-Session-ID not 64 characters; is: \"%s\"\n"
msgstr ""

#: cstp.c:433
#, c-format
msgid "X-DTLS-Session-ID is invalid; is: \"%s\"\n"
msgstr ""

#: cstp.c:451
#, c-format
msgid "Unknown DTLS-Content-Encoding %s\n"
msgstr ""

#: cstp.c:489
#, c-format
msgid "Unknown CSTP-Content-Encoding %s\n"
msgstr ""

#: cstp.c:564
msgid "No MTU received. Aborting\n"
msgstr ""

#: cstp.c:572 gpst.c:628
msgid "No IP address received. Aborting\n"
msgstr ""

#: cstp.c:578
#, c-format
msgid "IPv6 configuration received but MTU %d is too small.\n"
msgstr ""

#: cstp.c:584 gpst.c:635
#, c-format
msgid "Reconnect gave different Legacy IP address (%s != %s)\n"
msgstr ""

#: cstp.c:592 gpst.c:644
#, c-format
msgid "Reconnect gave different Legacy IP netmask (%s != %s)\n"
msgstr ""

#: cstp.c:600
#, c-format
msgid "Reconnect gave different IPv6 address (%s != %s)\n"
msgstr ""

#: cstp.c:608
#, c-format
msgid "Reconnect gave different IPv6 netmask (%s != %s)\n"
msgstr ""

#: cstp.c:616
#, c-format
msgid "CSTP connected. DPD %d, Keepalive %d\n"
msgstr ""

#: cstp.c:618
#, c-format
msgid "CSTP Ciphersuite: %s\n"
msgstr ""

#: cstp.c:680
msgid "Compression setup failed\n"
msgstr ""

#: cstp.c:697
msgid "Allocation of deflate buffer failed\n"
msgstr ""

#: cstp.c:759
msgid "inflate failed\n"
msgstr ""

#: cstp.c:782
#, c-format
msgid "LZS decompression failed: %s\n"
msgstr ""

#: cstp.c:795
msgid "LZ4 decompression failed\n"
msgstr ""

#: cstp.c:802
#, c-format
msgid "Unknown compression type %d\n"
msgstr ""

#: cstp.c:807
#, c-format
msgid "Received %s compressed data packet of %d bytes (was %d)\n"
msgstr ""

#: cstp.c:827
#, c-format
msgid "deflate failed %d\n"
msgstr ""

#: cstp.c:900 dtls.c:283 dtls.c:742 esp.c:136 gpst.c:1021 mainloop.c:69
#: oncp.c:914
msgid "Allocation failed\n"
msgstr ""

#: cstp.c:911 gpst.c:1034
#, c-format
msgid "Short packet received (%d bytes)\n"
msgstr ""

#: cstp.c:924
#, c-format
msgid "Unexpected packet length. SSL_read returned %d but packet is\n"
msgstr ""

#: cstp.c:938
msgid "Got CSTP DPD request\n"
msgstr ""

#: cstp.c:944
msgid "Got CSTP DPD response\n"
msgstr ""

#: cstp.c:949
msgid "Got CSTP Keepalive\n"
msgstr ""

#: cstp.c:954 oncp.c:1003
#, c-format
msgid "Received uncompressed data packet of %d bytes\n"
msgstr ""

#: cstp.c:971
#, c-format
msgid "Received server disconnect: %02x '%s'\n"
msgstr ""

#: cstp.c:974
msgid "Received server disconnect\n"
msgstr ""

#: cstp.c:982
msgid "Compressed packet received in !deflate mode\n"
msgstr ""

#: cstp.c:991
msgid "received server terminate packet\n"
msgstr ""

#: cstp.c:998
#, c-format
msgid "Unknown packet %02x %02x %02x %02x %02x %02x %02x %02x\n"
msgstr ""

#: cstp.c:1041 gpst.c:1121 oncp.c:1121
#, c-format
msgid "SSL wrote too few bytes! Asked for %d, sent %d\n"
msgstr ""

#. Not that this will ever happen; we don't even process
#. the setting when we're asked for it.
#: cstp.c:1069 oncp.c:1155
msgid "CSTP rekey due\n"
msgstr ""

#. if we failed rehandshake try establishing a new-tunnel instead of failing
#: cstp.c:1076 oncp.c:1162
msgid "Rehandshake failed; attempting new-tunnel\n"
msgstr ""

#: cstp.c:1087 oncp.c:1173
msgid "CSTP Dead Peer Detection detected dead peer!\n"
msgstr ""

#: cstp.c:1091 gpst.c:1145 oncp.c:1091 oncp.c:1177
msgid "Reconnect failed\n"
msgstr ""

#: cstp.c:1107 oncp.c:1193
msgid "Send CSTP DPD\n"
msgstr ""

#: cstp.c:1119 oncp.c:1204
msgid "Send CSTP Keepalive\n"
msgstr ""

#: cstp.c:1144
#, c-format
msgid "Sending compressed data packet of %d bytes (was %d)\n"
msgstr ""

#: cstp.c:1155 oncp.c:1238
#, c-format
msgid "Sending uncompressed data packet of %d bytes\n"
msgstr ""

#: cstp.c:1194
#, c-format
msgid "Send BYE packet: %s\n"
msgstr ""

#: digest.c:252
msgid "Attempting Digest authentication to proxy\n"
msgstr ""

#: digest.c:255
#, c-format
msgid "Attempting Digest authentication to server '%s'\n"
msgstr ""

#: dtls.c:113
msgid "DTLS connection attempted with an existing fd\n"
msgstr ""

#: dtls.c:119
msgid "No DTLS address\n"
msgstr ""

#. We probably didn't offer it any ciphers it liked
#: dtls.c:126
msgid "Server offered no DTLS cipher option\n"
msgstr ""

#. XXX: Theoretically, SOCKS5 proxies can do UDP too
#: dtls.c:133
msgid "No DTLS when connected via proxy\n"
msgstr ""

#: dtls.c:200
#, c-format
msgid "DTLS option %s : %s\n"
msgstr ""

#: dtls.c:241
#, c-format
msgid "DTLS initialised. DPD %d, Keepalive %d\n"
msgstr ""

#: dtls.c:267
msgid "Attempt new DTLS connection\n"
msgstr ""

#: dtls.c:294
#, c-format
msgid "Received DTLS packet 0x%02x of %d bytes\n"
msgstr ""

#: dtls.c:308
msgid "Got DTLS DPD request\n"
msgstr ""

#: dtls.c:314
msgid "Failed to send DPD response. Expect disconnect\n"
msgstr ""

#: dtls.c:318
msgid "Got DTLS DPD response\n"
msgstr ""

#: dtls.c:322
msgid "Got DTLS Keepalive\n"
msgstr ""

#: dtls.c:328
msgid "Compressed DTLS packet received when compression not enabled\n"
msgstr ""

#: dtls.c:336
#, c-format
msgid "Unknown DTLS packet type %02x, len %d\n"
msgstr ""

#: dtls.c:358
msgid "DTLS rekey due\n"
msgstr ""

#: dtls.c:365
msgid "DTLS Rehandshake failed; reconnecting.\n"
msgstr ""

#: dtls.c:374
msgid "DTLS Dead Peer Detection detected dead peer!\n"
msgstr ""

#: dtls.c:380
msgid "Send DTLS DPD\n"
msgstr ""

#: dtls.c:385
msgid "Failed to send DPD request. Expect disconnect\n"
msgstr ""

#: dtls.c:398
msgid "Send DTLS Keepalive\n"
msgstr ""

#: dtls.c:403
msgid "Failed to send keepalive request. Expect disconnect\n"
msgstr ""

#: dtls.c:434 tun.c:541
#, c-format
msgid "Unknown packet (len %d) received: %02x %02x %02x %02x...\n"
msgstr ""

#: dtls.c:441
#, c-format
msgid "TOS this: %d, TOS last: %d\n"
msgstr ""

#: dtls.c:445
msgid "UDP setsockopt"
msgstr ""

#: dtls.c:476
#, c-format
msgid "DTLS got write error %d. Falling back to SSL\n"
msgstr ""

#: dtls.c:490
#, c-format
msgid "DTLS got write error: %s. Falling back to SSL\n"
msgstr ""

#: dtls.c:505
#, c-format
msgid "Sent DTLS packet of %d bytes; DTLS send returned %d\n"
msgstr ""

#: dtls.c:533
#, c-format
msgid "Initiating IPv4 MTU detection (min=%d, max=%d)\n"
msgstr ""

#: dtls.c:553
msgid "Too long time in MTU detect loop; assuming negotiated MTU.\n"
msgstr ""

#: dtls.c:557
#, c-format
msgid "Too long time in MTU detect loop; MTU set to %d.\n"
msgstr ""

#: dtls.c:566
#, c-format
msgid "Sending MTU DPD probe (%u bytes, min=%u, max=%u)\n"
msgstr ""

#: dtls.c:570
#, c-format
msgid "Failed to send DPD request (%d %d)\n"
msgstr ""

#: dtls.c:584 dtls.c:692
#, c-format
msgid "Received unexpected packet (%.2x) in MTU detection; skipping.\n"
msgstr ""

#: dtls.c:596
#, c-format
msgid "Timeout while waiting for DPD response; trying %d\n"
msgstr ""

#: dtls.c:603 dtls.c:684
msgid "Timeout while waiting for DPD response; resending probe.\n"
msgstr ""

#: dtls.c:610 dtls.c:711
#, c-format
msgid "Failed to recv DPD request (%d)\n"
msgstr ""

#: dtls.c:615
#, c-format
msgid "Received MTU DPD probe (%u bytes of %u)\n"
msgstr ""

#: dtls.c:653
msgid "Initiating IPv6 MTU detection\n"
msgstr ""

#: dtls.c:668
#, c-format
msgid "Sending MTU DPD probe (%u bytes)\n"
msgstr ""

#: dtls.c:672
#, c-format
msgid "Failed to send DPD request (%d)\n"
msgstr ""

#: dtls.c:697
#, c-format
msgid "Received MTU DPD probe (%u bytes)\n"
msgstr ""

#: dtls.c:761
#, c-format
msgid "Detected MTU of %d bytes (was %d)\n"
msgstr ""

#: dtls.c:764
#, c-format
msgid "No change in MTU after detection (was %d)\n"
msgstr ""

#: esp-seqno.c:61
#, c-format
msgid "Accepting expected ESP packet with seq %u\n"
msgstr ""

#: esp-seqno.c:91
#, c-format
msgid ""
"Accepting later-than-expected ESP packet with seq %u (expected %<PRIu64>)\n"
msgstr ""

#: esp-seqno.c:104
#, c-format
msgid "Discarding ancient ESP packet with seq %u (expected %<PRIu64>)\n"
msgstr ""

#: esp-seqno.c:109
#, c-format
msgid "Tolerating ancient ESP packet with seq %u (expected %<PRIu64>)\n"
msgstr ""

#: esp-seqno.c:118
#, c-format
msgid "Discarding replayed ESP packet with seq %u\n"
msgstr ""

#: esp-seqno.c:123
#, c-format
msgid "Tolerating replayed ESP packet with seq %u\n"
msgstr ""

#: esp-seqno.c:136
#, c-format
msgid "Accepting out-of-order ESP packet with seq %u (expected %<PRIu64>)\n"
msgstr ""

#: esp.c:70
#, c-format
msgid "Parameters for %s ESP: SPI 0x%08x\n"
msgstr ""

#: esp.c:73
#, c-format
msgid "ESP encryption type %s key 0x%s\n"
msgstr ""

#: esp.c:76
#, c-format
msgid "ESP authentication type %s key 0x%s\n"
msgstr ""

#: esp.c:94
msgid "incoming"
msgstr ""

#: esp.c:95
msgid "outgoing"
msgstr ""

#: esp.c:97 esp.c:120
msgid "Send ESP probes\n"
msgstr ""

#: esp.c:145
#, c-format
msgid "Received ESP packet of %d bytes\n"
msgstr ""

#: esp.c:162
#, c-format
msgid "Received ESP packet from old SPI 0x%x, seq %u\n"
msgstr ""

#: esp.c:168
#, c-format
msgid "Received ESP packet with invalid SPI 0x%08x\n"
msgstr ""

#: esp.c:181
#, c-format
msgid "Received ESP packet with unrecognised payload type %02x\n"
msgstr ""

#: esp.c:188
#, c-format
msgid "Invalid padding length %02x in ESP\n"
msgstr ""

#: esp.c:200
msgid "Invalid padding bytes in ESP\n"
msgstr ""

#: esp.c:209
msgid "ESP session established with server\n"
msgstr ""

#: esp.c:220
msgid "Failed to allocate memory to decrypt ESP packet\n"
msgstr ""

#: esp.c:226
msgid "LZO decompression of ESP packet failed\n"
msgstr ""

#: esp.c:232
#, c-format
msgid "LZO decompressed %d bytes into %d\n"
msgstr ""

#: esp.c:246
msgid "Rekey not implemented for ESP\n"
msgstr ""

#: esp.c:250
msgid "ESP detected dead peer\n"
msgstr ""

#: esp.c:258
msgid "Send ESP probes for DPD\n"
msgstr ""

#: esp.c:265
msgid "Keepalive not implemented for ESP\n"
msgstr ""

#: esp.c:288
#, c-format
msgid "Failed to send ESP packet: %s\n"
msgstr ""

#: esp.c:294
#, c-format
msgid "Sent ESP packet of %d bytes\n"
msgstr ""

#: gnutls-dtls.c:166
msgid "Deferring DTLS resumption until CSTP generates a PSK\n"
msgstr ""

#: gnutls-dtls.c:174
msgid "Failed to generate DTLS priority string\n"
msgstr ""

#: gnutls-dtls.c:183
#, c-format
msgid "Failed to initialize DTLS: %s\n"
msgstr ""

#: gnutls-dtls.c:192
#, c-format
msgid "Failed to set DTLS priority: '%s': %s\n"
msgstr ""

#: gnutls-dtls.c:216
#, c-format
msgid "Failed to allocate credentials: %s\n"
msgstr ""

#: gnutls-dtls.c:229
#, c-format
msgid "Failed to generate DTLS key: %s\n"
msgstr ""

#: gnutls-dtls.c:243
#, c-format
msgid "Failed to set DTLS key: %s\n"
msgstr ""

#: gnutls-dtls.c:251
#, c-format
msgid "Failed to set DTLS PSK credentials: %s\n"
msgstr ""

#: gnutls-dtls.c:284
#, c-format
msgid "Unknown DTLS parameters for requested CipherSuite '%s'\n"
msgstr ""

#: gnutls-dtls.c:299
#, c-format
msgid "Failed to set DTLS priority: %s\n"
msgstr ""

#: gnutls-dtls.c:320
#, c-format
msgid "Failed to set DTLS session parameters: %s\n"
msgstr ""

#: gnutls-dtls.c:348 openssl-dtls.c:523
#, c-format
msgid "Peer MTU %d too small to allow DTLS\n"
msgstr ""

#: gnutls-dtls.c:357 openssl-dtls.c:534
#, c-format
msgid "DTLS MTU reduced to %d\n"
msgstr ""

#: gnutls-dtls.c:367 openssl-dtls.c:543
msgid "DTLS session resume failed; possible MITM attack. Disabling DTLS.\n"
msgstr ""

#: gnutls-dtls.c:380
#, c-format
msgid "Failed to set DTLS MTU: %s\n"
msgstr ""

#: gnutls-dtls.c:391
#, c-format
msgid "Established DTLS connection (using GnuTLS). Ciphersuite %s.\n"
msgstr ""

#: gnutls-dtls.c:397 openssl-dtls.c:561
#, c-format
msgid "DTLS connection compression using %s.\n"
msgstr ""

#: gnutls-dtls.c:412 openssl-dtls.c:642 openssl-dtls.c:646
msgid "DTLS handshake timed out\n"
msgstr ""

#: gnutls-dtls.c:415
#, c-format
msgid "DTLS handshake failed: %s\n"
msgstr ""

#: gnutls-dtls.c:419
msgid "(Is a firewall preventing you from sending UDP packets?)\n"
msgstr ""

#: gnutls-esp.c:56
#, c-format
msgid "Failed to initialise ESP cipher: %s\n"
msgstr ""

#: gnutls-esp.c:66
#, c-format
msgid "Failed to initialize ESP HMAC: %s\n"
msgstr ""

#: gnutls-esp.c:121
#, c-format
msgid "Failed to generate random keys for ESP: %s\n"
msgstr ""

#: gnutls-esp.c:152 gnutls-esp.c:214
#, c-format
msgid "Failed to calculate HMAC for ESP packet: %s\n"
msgstr ""

#: gnutls-esp.c:159 openssl-esp.c:197
msgid "Received ESP packet with invalid HMAC\n"
msgstr ""

#: gnutls-esp.c:171
#, c-format
msgid "Decrypting ESP packet failed: %s\n"
msgstr ""

#: gnutls-esp.c:191
#, c-format
msgid "Failed to generate ESP packet IV: %s\n"
msgstr ""

#: gnutls-esp.c:206
#, c-format
msgid "Failed to encrypt ESP packet: %s\n"
msgstr ""

#: gnutls.c:95 openssl.c:154
msgid "SSL write cancelled\n"
msgstr ""

#: gnutls.c:99
#, c-format
msgid "Failed to write to SSL socket: %s\n"
msgstr ""

#: gnutls.c:145 gnutls.c:237 openssl.c:204 openssl.c:271
msgid "SSL read cancelled\n"
msgstr ""

#. We've seen this with HTTP 1.0 responses followed by abrupt
#. socket closure and no clean SSL shutdown.
#. https://bugs.launchpad.net/bugs/1225276
#: gnutls.c:158
msgid "SSL socket closed uncleanly\n"
msgstr ""

#: gnutls.c:168 gnutls.c:246
#, c-format
msgid "Failed to read from SSL socket: %s\n"
msgstr ""

#: gnutls.c:266
#, c-format
msgid "SSL read error: %s; reconnecting.\n"
msgstr ""

#: gnutls.c:302
#, c-format
msgid "SSL send failed: %s\n"
msgstr ""

#: gnutls.c:315
msgid "Could not extract expiration time of certificate\n"
msgstr ""

#: gnutls.c:320 openssl.c:1593
msgid "Client certificate has expired at"
msgstr ""

#: gnutls.c:322 openssl.c:1598
msgid "Client certificate expires soon at"
msgstr ""

#: gnutls.c:371 openssl.c:772
#, c-format
msgid "Failed to load item '%s' from keystore: %s\n"
msgstr ""

#: gnutls.c:384
#, c-format
msgid "Failed to open key/certificate file %s: %s\n"
msgstr ""

#: gnutls.c:391
#, c-format
msgid "Failed to stat key/certificate file %s: %s\n"
msgstr ""

#: gnutls.c:400
msgid "Failed to allocate certificate buffer\n"
msgstr ""

#: gnutls.c:408
#, c-format
msgid "Failed to read certificate into memory: %s\n"
msgstr ""

#: gnutls.c:439
#, c-format
msgid "Failed to setup PKCS#12 data structure: %s\n"
msgstr ""

#: gnutls.c:462 openssl.c:534
msgid "Failed to decrypt PKCS#12 certificate file\n"
msgstr ""

#: gnutls.c:466 openssl.c:537
msgid "Enter PKCS#12 pass phrase:"
msgstr ""

#: gnutls.c:489
#, c-format
msgid "Failed to process PKCS#12 file: %s\n"
msgstr ""

#: gnutls.c:501
#, c-format
msgid "Failed to load PKCS#12 certificate: %s\n"
msgstr ""

#: gnutls.c:584
#, c-format
msgid "Importing X509 certificate failed: %s\n"
msgstr ""

#: gnutls.c:594
#, c-format
msgid "Setting PKCS#11 certificate failed: %s\n"
msgstr ""

#: gnutls.c:628
#, c-format
msgid "Could not initialise MD5 hash: %s\n"
msgstr ""

#: gnutls.c:638
#, c-format
msgid "MD5 hash error: %s\n"
msgstr ""

#: gnutls.c:696
msgid "Missing DEK-Info: header from OpenSSL encrypted key\n"
msgstr ""

#: gnutls.c:703
msgid "Cannot determine PEM encryption type\n"
msgstr ""

#: gnutls.c:716
#, c-format
msgid "Unsupported PEM encryption type: %s\n"
msgstr ""

#: gnutls.c:741 gnutls.c:754
msgid "Invalid salt in encrypted PEM file\n"
msgstr ""

#: gnutls.c:778
#, c-format
msgid "Error base64-decoding encrypted PEM file: %s\n"
msgstr ""

#: gnutls.c:786
msgid "Encrypted PEM file too short\n"
msgstr ""

#: gnutls.c:814
#, c-format
msgid "Failed to initialise cipher for decrypting PEM file: %s\n"
msgstr ""

#: gnutls.c:825
#, c-format
msgid "Failed to decrypt PEM key: %s\n"
msgstr ""

#: gnutls.c:877
msgid "Decrypting PEM key failed\n"
msgstr ""

#: gnutls.c:882 gnutls.c:1406 openssl.c:458
msgid "Enter PEM pass phrase:"
msgstr ""

#: gnutls.c:943
msgid "This binary built without system key support\n"
msgstr ""

#: gnutls.c:950
msgid "This binary built without PKCS#11 support\n"
msgstr ""

#: gnutls.c:994 openssl-pkcs11.c:407
#, c-format
msgid "Using PKCS#11 certificate %s\n"
msgstr ""

#: gnutls.c:995
#, c-format
msgid "Using system certificate %s\n"
msgstr ""

#: gnutls.c:1013
#, c-format
msgid "Error loading certificate from PKCS#11: %s\n"
msgstr ""

#: gnutls.c:1014
#, c-format
msgid "Error loading system certificate: %s\n"
msgstr ""

#: gnutls.c:1025 openssl.c:828
#, c-format
msgid "Using certificate file %s\n"
msgstr ""

#: gnutls.c:1053
msgid "PKCS#11 file contained no certificate\n"
msgstr ""

#: gnutls.c:1079
msgid "No certificate found in file"
msgstr ""

#: gnutls.c:1084
#, c-format
msgid "Loading certificate failed: %s\n"
msgstr ""

#: gnutls.c:1099
#, c-format
msgid "Using system key %s\n"
msgstr ""

#: gnutls.c:1104 gnutls.c:1272
#, c-format
msgid "Error initialising private key structure: %s\n"
msgstr ""

#: gnutls.c:1115
#, c-format
msgid "Error importing system key %s: %s\n"
msgstr ""

#: gnutls.c:1126 gnutls.c:1220 gnutls.c:1248
#, c-format
msgid "Trying PKCS#11 key URL %s\n"
msgstr ""

#: gnutls.c:1131
#, c-format
msgid "Error initialising PKCS#11 key structure: %s\n"
msgstr ""

#: gnutls.c:1260
#, c-format
msgid "Error importing PKCS#11 URL %s: %s\n"
msgstr ""

#: gnutls.c:1267 openssl-pkcs11.c:644
#, c-format
msgid "Using PKCS#11 key %s\n"
msgstr ""

#: gnutls.c:1282
#, c-format
msgid "Error importing PKCS#11 key into private key structure: %s\n"
msgstr ""

#: gnutls.c:1300
#, c-format
msgid "Using private key file %s\n"
msgstr ""

#: gnutls.c:1311 openssl.c:652
msgid "This version of OpenConnect was built without TPM support\n"
msgstr ""

#: gnutls.c:1327
msgid "This version of OpenConnect was built without TPM2 support\n"
msgstr ""

#: gnutls.c:1348
msgid "Failed to interpret PEM file\n"
msgstr ""

#: gnutls.c:1367
#, c-format
msgid "Failed to load PKCS#1 private key: %s\n"
msgstr ""

#: gnutls.c:1380 gnutls.c:1394
#, c-format
msgid "Failed to load private key as PKCS#8: %s\n"
msgstr ""

#: gnutls.c:1402 gnutls.c:1435 openssl.c:1003 openssl.c:1013
msgid "Failed to decrypt PKCS#8 certificate file\n"
msgstr ""

#: gnutls.c:1427
#, c-format
msgid "Failed to determine type of private key %s\n"
msgstr ""

#: gnutls.c:1439 openssl.c:1009
msgid "Enter PKCS#8 pass phrase:"
msgstr ""

#: gnutls.c:1455
#, c-format
msgid "Failed to get key ID: %s\n"
msgstr ""

#: gnutls.c:1500
#, c-format
msgid "Error signing test data with private key: %s\n"
msgstr ""

#: gnutls.c:1515
#, c-format
msgid "Error validating signature against certificate: %s\n"
msgstr ""

#: gnutls.c:1539
msgid "No SSL certificate found to match private key\n"
msgstr ""

#: gnutls.c:1551 openssl.c:560 openssl.c:710
#, c-format
msgid "Using client certificate '%s'\n"
msgstr ""

#: gnutls.c:1558
#, c-format
msgid "Setting certificate revocation list failed: %s\n"
msgstr ""

#: gnutls.c:1579 gnutls.c:1589
msgid "Failed to allocate memory for certificate\n"
msgstr ""

#: gnutls.c:1625
msgid ""
"WARNING: GnuTLS returned incorrect issuer certs; authentication may fail!\n"
msgstr ""

#: gnutls.c:1648
msgid "Got no issuer from PKCS#11\n"
msgstr ""

#: gnutls.c:1653
#, c-format
msgid "Got next CA '%s' from PKCS11\n"
msgstr ""

#: gnutls.c:1679
msgid "Failed to allocate memory for supporting certificates\n"
msgstr ""

#: gnutls.c:1702
#, c-format
msgid "Adding supporting CA '%s'\n"
msgstr ""

#: gnutls.c:1730
#, c-format
msgid "Setting certificate failed: %s\n"
msgstr ""

#: gnutls.c:1923
msgid "Server presented no certificate\n"
msgstr ""

#: gnutls.c:1931
#, c-format
msgid "Error comparing server's cert on rehandshake: %s\n"
msgstr ""

#: gnutls.c:1936 openssl.c:1516
msgid "Server presented different cert on rehandshake\n"
msgstr ""

#: gnutls.c:1941 openssl.c:1519
msgid "Server presented identical cert on rehandshake\n"
msgstr ""

#: gnutls.c:1947
msgid "Error initialising X509 cert structure\n"
msgstr ""

#: gnutls.c:1953
msgid "Error importing server's cert\n"
msgstr ""

#: gnutls.c:1962 main.c:1772
msgid "Could not calculate hash of server's certificate\n"
msgstr ""

#: gnutls.c:1967
msgid "Error checking server cert status\n"
msgstr ""

#: gnutls.c:1972
msgid "certificate revoked"
msgstr ""

#: gnutls.c:1974
msgid "signer not found"
msgstr ""

#: gnutls.c:1976
msgid "signer not a CA certificate"
msgstr ""

#: gnutls.c:1978
msgid "insecure algorithm"
msgstr ""

#: gnutls.c:1980
msgid "certificate not yet activated"
msgstr ""

#: gnutls.c:1982
msgid "certificate expired"
msgstr ""

#. If this is set and no other reason, it apparently means
#. that signature verification failed. Not entirely sure
#. why we don't just set a bit for that too.
#: gnutls.c:1987
msgid "signature verification failed"
msgstr ""

#: gnutls.c:2036 openssl.c:1400 openssl.c:1552
msgid "certificate does not match hostname"
msgstr ""

#: gnutls.c:2041 openssl.c:1399 openssl.c:1558
#, c-format
msgid "Server certificate verify failed: %s\n"
msgstr ""

#: gnutls.c:2108
msgid "Failed to allocate memory for cafile certs\n"
msgstr ""

#: gnutls.c:2129
#, c-format
msgid "Failed to read certs from cafile: %s\n"
msgstr ""

#: gnutls.c:2145
#, c-format
msgid "Failed to open CA file '%s': %s\n"
msgstr ""

#: gnutls.c:2158 openssl.c:1680
msgid "Loading certificate failed. Aborting.\n"
msgstr ""

#: gnutls.c:2225
#, c-format
msgid "Failed to set TLS priority string (\"%s\"): %s\n"
msgstr ""

#: gnutls.c:2237 openssl.c:1797
#, c-format
msgid "SSL negotiation with %s\n"
msgstr ""

#: gnutls.c:2284 openssl.c:1823
msgid "SSL connection cancelled\n"
msgstr ""

#: gnutls.c:2291
#, c-format
msgid "SSL connection failure: %s\n"
msgstr ""

#: gnutls.c:2300
#, c-format
msgid "GnuTLS non-fatal return during handshake: %s\n"
msgstr ""

#: gnutls.c:2306 openssl.c:1840
#, c-format
msgid "Connected to HTTPS on %s\n"
msgstr ""

#: gnutls.c:2309
#, c-format
msgid "Renegotiated SSL on %s\n"
msgstr ""

#: gnutls.c:2471 openssl-pkcs11.c:199
#, c-format
msgid "PIN required for %s"
msgstr ""

#: gnutls.c:2475 openssl-pkcs11.c:202
msgid "Wrong PIN"
msgstr ""

#: gnutls.c:2478
msgid "This is the final try before locking!"
msgstr ""

#: gnutls.c:2480
msgid "Only a few tries left before locking!"
msgstr ""

#: gnutls.c:2485 openssl-pkcs11.c:206
msgid "Enter PIN:"
msgstr ""

#: gnutls.c:2571 openssl.c:1968
msgid "Unsupported OATH HMAC algorithm\n"
msgstr ""

#: gnutls.c:2580
#, c-format
msgid "Failed to calculate OATH HMAC: %s\n"
msgstr ""

#: gnutls_tpm.c:54
#, c-format
msgid "TPM sign function called for %d bytes.\n"
msgstr ""

#: gnutls_tpm.c:61
#, c-format
msgid "Failed to create TPM hash object: %s\n"
msgstr ""

#: gnutls_tpm.c:68
#, c-format
msgid "Failed to set value in TPM hash object: %s\n"
msgstr ""

#: gnutls_tpm.c:78
#, c-format
msgid "TPM hash signature failed: %s\n"
msgstr ""

#: gnutls_tpm.c:100
#, c-format
msgid "Error decoding TSS key blob: %s\n"
msgstr ""

#: gnutls_tpm.c:108 gnutls_tpm.c:119 gnutls_tpm.c:132
msgid "Error in TSS key blob\n"
msgstr ""

#: gnutls_tpm.c:139
#, c-format
msgid "Failed to create TPM context: %s\n"
msgstr ""

#: gnutls_tpm.c:146
#, c-format
msgid "Failed to connect TPM context: %s\n"
msgstr ""

#: gnutls_tpm.c:154
#, c-format
msgid "Failed to load TPM SRK key: %s\n"
msgstr ""

#: gnutls_tpm.c:161
#, c-format
msgid "Failed to load TPM SRK policy object: %s\n"
msgstr ""

#: gnutls_tpm.c:182
#, c-format
msgid "Failed to set TPM PIN: %s\n"
msgstr ""

#: gnutls_tpm.c:198
#, c-format
msgid "Failed to load TPM key blob: %s\n"
msgstr ""

#: gnutls_tpm.c:205
msgid "Enter TPM SRK PIN:"
msgstr ""

#: gnutls_tpm.c:226
#, c-format
msgid "Failed to create key policy object: %s\n"
msgstr ""

#: gnutls_tpm.c:234
#, c-format
msgid "Failed to assign policy to key: %s\n"
msgstr ""

#: gnutls_tpm.c:240
msgid "Enter TPM key PIN:"
msgstr ""

#: gnutls_tpm.c:251
#, c-format
msgid "Failed to set key PIN: %s\n"
msgstr ""

#: gnutls_tpm2.c:91 gnutls_tpm2_esys.c:471 gnutls_tpm2_ibm.c:427
#, c-format
msgid "Unknown TPM2 EC digest size %d\n"
msgstr ""

#: gnutls_tpm2.c:195
#, c-format
msgid "Error decoding TSS2 key blob: %s\n"
msgstr ""

#: gnutls_tpm2.c:204
#, c-format
msgid "Failed to create ASN.1 type for TPM2: %s\n"
msgstr ""

#: gnutls_tpm2.c:213
#, c-format
msgid "Failed to decode TPM2 key ASN.1: %s\n"
msgstr ""

#: gnutls_tpm2.c:231
#, c-format
msgid "Failed to parse TPM2 key parent: %s\n"
msgstr ""

#: gnutls_tpm2.c:252
msgid "Failed to parse TPM2 pubkey element\n"
msgstr ""

#: gnutls_tpm2.c:257
msgid "Failed to parse TPM2 privkey element\n"
msgstr ""

#: gnutls_tpm2.c:262
#, c-format
msgid "Parsed TPM2 key with parent %x, emptyauth %d\n"
msgstr ""

#: gnutls_tpm2.c:366
#, c-format
msgid "TPM2 digest too large: %d > %d\n"
msgstr ""

#: gnutls_tpm2_esys.c:171
msgid "TPM2 password too long; truncating\n"
msgstr ""

#: gnutls_tpm2_esys.c:188
msgid "owner"
msgstr ""

#: gnutls_tpm2_esys.c:189
msgid "null"
msgstr ""

#: gnutls_tpm2_esys.c:190
msgid "endorsement"
msgstr ""

#: gnutls_tpm2_esys.c:191
msgid "platform"
msgstr ""

#: gnutls_tpm2_esys.c:195
#, c-format
msgid "Creating primary key under %s hierarchy.\n"
msgstr ""

#: gnutls_tpm2_esys.c:200 gnutls_tpm2_ibm.c:270
#, c-format
msgid "Enter TPM2 %s hierarchy password:"
msgstr ""

#: gnutls_tpm2_esys.c:208 gnutls_tpm2_esys.c:301 gnutls_tpm2_esys.c:371
#, c-format
msgid "TPM2 Esys_TR_SetAuth failed: 0x%x\n"
msgstr ""

#: gnutls_tpm2_esys.c:220
msgid "TPM2 Esys_CreatePrimary owner auth failed\n"
msgstr ""

#: gnutls_tpm2_esys.c:225
#, c-format
msgid "TPM2 Esys_CreatePrimary failed: 0x%x\n"
msgstr ""

#: gnutls_tpm2_esys.c:244
msgid "Establishing connection with TPM.\n"
msgstr ""

#: gnutls_tpm2_esys.c:249
#, c-format
msgid "TPM2 Esys_Initialize failed: 0x%x\n"
msgstr ""

#: gnutls_tpm2_esys.c:257
msgid ""
"TPM2 was already started up thus false positive failing in tpm2tss log.\n"
msgstr ""

#: gnutls_tpm2_esys.c:260
#, c-format
msgid "TPM2 Esys_Startup failed: 0x%x\n"
msgstr ""

#: gnutls_tpm2_esys.c:273
#, c-format
msgid "Esys_TR_FromTPMPublic failed for handle 0x%x: 0x%x\n"
msgstr ""

#: gnutls_tpm2_esys.c:293 gnutls_tpm2_ibm.c:286
msgid "Enter TPM2 parent key password:"
msgstr ""

#: gnutls_tpm2_esys.c:307
#, c-format
msgid "Loading TPM2 key blob, parent %x.\n"
msgstr ""

#: gnutls_tpm2_esys.c:315
msgid "TPM2 Esys_Load auth failed\n"
msgstr ""

#: gnutls_tpm2_esys.c:321
#, c-format
msgid "TPM2 Esys_Load failed: 0x%x\n"
msgstr ""

#: gnutls_tpm2_esys.c:330
#, c-format
msgid "TPM2 Esys_FlushContext for generated primary failed: 0x%x\n"
msgstr ""

#: gnutls_tpm2_esys.c:360 gnutls_tpm2_ibm.c:371 gnutls_tpm2_ibm.c:458
msgid "Enter TPM2 key password:"
msgstr ""

#: gnutls_tpm2_esys.c:392
#, c-format
msgid "TPM2 RSA sign function called for %d bytes.\n"
msgstr ""

#: gnutls_tpm2_esys.c:411
msgid "TPM2 Esys_RSA_Decrypt auth failed\n"
msgstr ""

#: gnutls_tpm2_esys.c:417 gnutls_tpm2_esys.c:497
#, c-format
msgid "TPM2 failed to generate RSA signature: 0x%x\n"
msgstr ""

#: gnutls_tpm2_esys.c:461 gnutls_tpm2_ibm.c:413
#, c-format
msgid "TPM2 EC sign function called for %d bytes.\n"
msgstr ""

#: gnutls_tpm2_esys.c:491
msgid "TPM2 Esys_Sign auth failed\n"
msgstr ""

#: gnutls_tpm2_esys.c:529 gnutls_tpm2_ibm.c:493
#, c-format
msgid "Invalid TPM2 parent handle 0x%08x\n"
msgstr ""

#: gnutls_tpm2_esys.c:543 gnutls_tpm2_ibm.c:510
#, c-format
msgid "Failed to import TPM2 private key data: 0x%x\n"
msgstr ""

#: gnutls_tpm2_esys.c:552 gnutls_tpm2_ibm.c:520
#, c-format
msgid "Failed to import TPM2 public key data: 0x%x\n"
msgstr ""

#: gnutls_tpm2_esys.c:566 gnutls_tpm2_ibm.c:531
#, c-format
msgid "Unsupported TPM2 key type %d\n"
msgstr ""

#: gnutls_tpm2_ibm.c:62
#, c-format
msgid "TPM2 operation %s failed (%d): %s%s%s\n"
msgstr ""

#: gpst.c:225
#, c-format
msgid "%s\n"
msgstr ""

#: gpst.c:228
#, c-format
msgid "Challenge: %s\n"
msgstr ""

#: gpst.c:416
#, c-format
msgid "Unknown ESP %s algorithm: %s"
msgstr ""

#: gpst.c:476
#, c-format
msgid "Idle timeout is %d minutes.\n"
msgstr ""

#: gpst.c:482
#, c-format
msgid "Non-standard SSL tunnel path: %s\n"
msgstr ""

#: gpst.c:486
#, c-format
msgid "Tunnel timeout (rekey interval) is %d minutes.\n"
msgstr ""

#: gpst.c:497
#, c-format
msgid ""
"Gateway address in config XML (%s) differs from external gateway address "
"(%s).\n"
msgstr ""

#: gpst.c:544
#, c-format
msgid "GlobalProtect config sent ipsec-mode=%s (expected esp-tunnel)\n"
msgstr ""

#: gpst.c:553 oncp.c:835
msgid "Ignoring ESP keys since ESP support not available in this build\n"
msgstr ""

#: gpst.c:614
msgid "ESP disabled"
msgstr ""

#: gpst.c:616
msgid "No ESP keys received"
msgstr ""

#: gpst.c:618
msgid "ESP support not available in this build"
msgstr ""

#: gpst.c:622
#, c-format
msgid "No MTU received. Calculated %d for %s%s\n"
msgstr ""

#: gpst.c:667
msgid "Connecting to HTTPS tunnel endpoint ...\n"
msgstr ""

#: gpst.c:689
msgid "Error fetching GET-tunnel HTTPS response.\n"
msgstr ""

#: gpst.c:698
msgid "Gateway disconnected immediately after GET-tunnel request.\n"
msgstr ""

#: gpst.c:706
#, c-format
msgid "Got inappropriate HTTP GET-tunnel response: %.*s\n"
msgstr ""

#: gpst.c:848
#, c-format
msgid ""
"WARNING: Server asked us to submit HIP report with md5sum %s.\n"
"VPN connectivity may be disabled or limited without HIP report submission.\n"
"You need to provide a --csd-wrapper argument with the HIP report submission "
"script.\n"
msgstr ""

#: gpst.c:858
msgid ""
"Error: Running the 'HIP Report' script on this platform is not yet "
"implemented.\n"
msgstr ""

#: gpst.c:880
#, c-format
msgid "HIP script '%s' exited abnormally\n"
msgstr ""

#: gpst.c:885
#, c-format
msgid "HIP script '%s' returned non-zero status: %d\n"
msgstr ""

#: gpst.c:891
msgid "HIP report submission failed.\n"
msgstr ""

#: gpst.c:893
msgid "HIP report submitted successfully.\n"
msgstr ""

#: gpst.c:921
#, c-format
msgid "Failed to exec HIP script %s\n"
msgstr ""

#: gpst.c:945
msgid "Gateway says HIP report submission is needed.\n"
msgstr ""

#: gpst.c:951
msgid "Gateway says no HIP report submission is needed.\n"
msgstr ""

#: gpst.c:978
msgid "ESP tunnel connected; exiting HTTPS mainloop.\n"
msgstr ""

#: gpst.c:994
msgid "Failed to connect ESP tunnel; using HTTPS instead.\n"
msgstr ""

#: gpst.c:1030
#, c-format
msgid "Packet receive error: %s\n"
msgstr ""

#: gpst.c:1051
#, c-format
msgid ""
"Unexpected packet length. SSL_read returned %d (includes 16 header bytes) "
"but header payload_len is %d\n"
msgstr ""

#: gpst.c:1061
msgid "Got GPST DPD/keepalive response\n"
msgstr ""

#: gpst.c:1065
msgid ""
"Expected 0000000000000000 as last 8 bytes of DPD/keepalive packet header, "
"but got:\n"
msgstr ""

#: gpst.c:1071
#, c-format
msgid "Received data packet of %d bytes\n"
msgstr ""

#: gpst.c:1080
msgid ""
"Expected 0100000000000000 as last 8 bytes of data packet header, but got:\n"
msgstr ""

#: gpst.c:1088
msgid "Unknown packet. Header dump follows:\n"
msgstr ""

#: gpst.c:1136
msgid "GlobalProtect rekey due\n"
msgstr ""

#: gpst.c:1141
msgid "GPST Dead Peer Detection detected dead peer!\n"
msgstr ""

#: gpst.c:1161
msgid "Send GPST DPD/keepalive request\n"
msgstr ""

#: gpst.c:1181
#, c-format
msgid "Sending data packet of %d bytes\n"
msgstr ""

#: gssapi.c:75
msgid "Error importing GSSAPI name for authentication:\n"
msgstr ""

#: gssapi.c:128
msgid "Error generating GSSAPI response:\n"
msgstr ""

#: gssapi.c:145
msgid "Attempting GSSAPI authentication to proxy\n"
msgstr ""

#: gssapi.c:148
#, c-format
msgid "Attempting GSSAPI authentication to server '%s'\n"
msgstr ""

#: gssapi.c:200 gssapi.c:256 sspi.c:191 sspi.c:249
msgid "GSSAPI authentication completed\n"
msgstr ""

#: gssapi.c:211
#, c-format
msgid "GSSAPI token too large (%zd bytes)\n"
msgstr ""

#: gssapi.c:224
#, c-format
msgid "Sending GSSAPI token of %zu bytes\n"
msgstr ""

#: gssapi.c:229
#, c-format
msgid "Failed to send GSSAPI authentication token to proxy: %s\n"
msgstr ""

#: gssapi.c:237 gssapi.c:264
#, c-format
msgid "Failed to receive GSSAPI authentication token from proxy: %s\n"
msgstr ""

#: gssapi.c:243
msgid "SOCKS server reported GSSAPI context failure\n"
msgstr ""

#: gssapi.c:247
#, c-format
msgid "Unknown GSSAPI status response (0x%02x) from SOCKS server\n"
msgstr ""

#: gssapi.c:268
#, c-format
msgid "Got GSSAPI token of %zu bytes: %02x %02x %02x %02x\n"
msgstr ""

#: gssapi.c:294
#, c-format
msgid "Sending GSSAPI protection negotiation of %zu bytes\n"
msgstr ""

#: gssapi.c:299
#, c-format
msgid "Failed to send GSSAPI protection response to proxy: %s\n"
msgstr ""

#: gssapi.c:307 gssapi.c:317
#, c-format
msgid "Failed to receive GSSAPI protection response from proxy: %s\n"
msgstr ""

#: gssapi.c:322
#, c-format
msgid "Got GSSAPI protection response of %zu bytes: %02x %02x %02x %02x\n"
msgstr ""

#: gssapi.c:332
#, c-format
msgid "Invalid GSSAPI protection response from proxy (%zu bytes)\n"
msgstr ""

#: gssapi.c:341 sspi.c:408
msgid "SOCKS proxy demands message integrity, which is not supported\n"
msgstr ""

#: gssapi.c:345 sspi.c:412
msgid "SOCKS proxy demands message confidentiality, which is not supported\n"
msgstr ""

#: gssapi.c:349 sspi.c:416
#, c-format
msgid "SOCKS proxy demands protection unknown type 0x%02x\n"
msgstr ""

#: http-auth.c:184
msgid "Attempting HTTP Basic authentication to proxy\n"
msgstr ""

#: http-auth.c:186
#, c-format
msgid "Attempting HTTP Basic authentication to server '%s'\n"
msgstr ""

#: http-auth.c:200 http.c:1248
msgid "This version of OpenConnect was built without GSSAPI support\n"
msgstr ""

#: http-auth.c:240
msgid "Proxy requested Basic authentication which is disabled by default\n"
msgstr ""

#: http-auth.c:243
#, c-format
msgid ""
"Server '%s' requested Basic authentication which is disabled by default\n"
msgstr ""

#: http-auth.c:256
msgid "No more authentication methods to try\n"
msgstr ""

#: http.c:318
msgid "No memory for allocating cookies\n"
msgstr ""

#: http.c:393
#, c-format
msgid "Failed to parse HTTP response '%s'\n"
msgstr ""

#: http.c:399
#, c-format
msgid "Got HTTP response: %s\n"
msgstr ""

#: http.c:407
msgid "Error processing HTTP response\n"
msgstr ""

#: http.c:414
#, c-format
msgid "Ignoring unknown HTTP response line '%s'\n"
msgstr ""

#: http.c:434
#, c-format
msgid "Invalid cookie offered: %s\n"
msgstr ""

#: http.c:453
msgid "SSL certificate authentication failed\n"
msgstr ""

#: http.c:484
#, c-format
msgid "Response body has negative size (%d)\n"
msgstr ""

#: http.c:495
#, c-format
msgid "Unknown Transfer-Encoding: %s\n"
msgstr ""

#. Now the body, if there is one
#: http.c:514
#, c-format
msgid "HTTP body %s (%d)\n"
msgstr ""

#: http.c:528 http.c:555
msgid "Error reading HTTP response body\n"
msgstr ""

#: http.c:541
msgid "Error fetching chunk header\n"
msgstr ""

#: http.c:565
msgid "Error fetching HTTP response body\n"
msgstr ""

#: http.c:568
#, c-format
msgid "Error in chunked decoding. Expected '', got: '%s'"
msgstr ""

#: http.c:580
msgid "Cannot receive HTTP 1.0 body without closing connection\n"
msgstr ""

#: http.c:707
#, c-format
msgid "Failed to parse redirected URL '%s': %s\n"
msgstr ""

#: http.c:731
#, c-format
msgid "Cannot follow redirection to non-https URL '%s'\n"
msgstr ""

#: http.c:759
#, c-format
msgid "Allocating new path for relative redirect failed: %s\n"
msgstr ""

#: http.c:972 oncp.c:591
#, c-format
msgid "Unexpected %d result from server\n"
msgstr ""

#: http.c:1104
msgid "request granted"
msgstr ""

#: http.c:1105
msgid "general failure"
msgstr ""

#: http.c:1106
msgid "connection not allowed by ruleset"
msgstr ""

#: http.c:1107
msgid "network unreachable"
msgstr ""

#: http.c:1108
msgid "host unreachable"
msgstr ""

#: http.c:1109
msgid "connection refused by destination host"
msgstr ""

#: http.c:1110
msgid "TTL expired"
msgstr ""

#: http.c:1111
msgid "command not supported / protocol error"
msgstr ""

#: http.c:1112
msgid "address type not supported"
msgstr ""

#: http.c:1122
msgid "SOCKS server requested username/password but we have none\n"
msgstr ""

#: http.c:1130
msgid "Username and password for SOCKS authentication must be < 255 bytes\n"
msgstr ""

#: http.c:1145 http.c:1201
#, c-format
msgid "Error writing auth request to SOCKS proxy: %s\n"
msgstr ""

#: http.c:1153 http.c:1208
#, c-format
msgid "Error reading auth response from SOCKS proxy: %s\n"
msgstr ""

#: http.c:1160 http.c:1214
#, c-format
msgid "Unexpected auth response from SOCKS proxy: %02x %02x\n"
msgstr ""

#: http.c:1166
msgid "Authenticated to SOCKS server using password\n"
msgstr ""

#: http.c:1170
msgid "Password authentication to SOCKS server failed\n"
msgstr ""

#: http.c:1226 http.c:1233
msgid "SOCKS server requested GSSAPI authentication\n"
msgstr ""

#: http.c:1239
msgid "SOCKS server requested password authentication\n"
msgstr ""

#: http.c:1246
msgid "SOCKS server requires authentication\n"
msgstr ""

#: http.c:1253
#, c-format
msgid "SOCKS server requested unknown authentication type %02x\n"
msgstr ""

#: http.c:1259
#, c-format
msgid "Requesting SOCKS proxy connection to %s:%d\n"
msgstr ""

#: http.c:1274
#, c-format
msgid "Error writing connect request to SOCKS proxy: %s\n"
msgstr ""

#: http.c:1282 http.c:1324
#, c-format
msgid "Error reading connect response from SOCKS proxy: %s\n"
msgstr ""

#: http.c:1288
#, c-format
msgid "Unexpected connect response from SOCKS proxy: %02x %02x...\n"
msgstr ""

#: http.c:1296
#, c-format
msgid "SOCKS proxy error %02x: %s\n"
msgstr ""

#: http.c:1300
#, c-format
msgid "SOCKS proxy error %02x\n"
msgstr ""

#: http.c:1317
#, c-format
msgid "Unexpected address type %02x in SOCKS connect response\n"
msgstr ""

#: http.c:1340
#, c-format
msgid "Requesting HTTP proxy connection to %s:%d\n"
msgstr ""

#: http.c:1375
#, c-format
msgid "Sending proxy request failed: %s\n"
msgstr ""

#: http.c:1398
#, c-format
msgid "Proxy CONNECT request failed: %d\n"
msgstr ""

#: http.c:1417
#, c-format
msgid "Unknown proxy type '%s'\n"
msgstr ""

#: http.c:1466
msgid "Only http or socks(5) proxies supported\n"
msgstr ""

#: library.c:112
msgid "Cisco AnyConnect or openconnect"
msgstr ""

#: library.c:113
msgid "Compatible with Cisco AnyConnect SSL VPN, as well as ocserv"
msgstr ""

#: library.c:129
msgid "Juniper Network Connect"
msgstr ""

#: library.c:130
msgid "Compatible with Juniper Network Connect / Pulse Secure SSL VPN"
msgstr ""

#: library.c:148
msgid "Palo Alto Networks GlobalProtect"
msgstr ""

#: library.c:149
msgid "Compatible with Palo Alto Networks (PAN) GlobalProtect SSL VPN"
msgstr ""

#: library.c:211
#, c-format
msgid "Unknown VPN protocol '%s'\n"
msgstr ""

#: library.c:233
msgid "Built against SSL library with no Cisco DTLS support\n"
msgstr ""

#: library.c:639
#, c-format
msgid "Failed to parse server URL '%s'\n"
msgstr ""

#: library.c:645
msgid "Only https:// permitted for server URL\n"
msgstr ""

#: library.c:1039
#, c-format
msgid "Unknown certificate hash: %s.\n"
msgstr ""

#: library.c:1068
#, c-format
msgid ""
"The size of the provided fingerprint is less than the minimum required "
"(%u).\n"
msgstr ""

#: library.c:1129
msgid "No form handler; cannot authenticate.\n"
msgstr ""

#: main.c:333
#, c-format
msgid "CommandLineToArgvW() failed: %s\n"
msgstr ""

#: main.c:346
#, c-format
msgid "Fatal error in command line handling\n"
msgstr ""

#: main.c:381
#, c-format
msgid "ReadConsole() failed: %s\n"
msgstr ""

#: main.c:394
#, c-format
msgid "fgetws() failed: %s\n"
msgstr ""

#: main.c:409 main.c:422
#, c-format
msgid "Error converting console input: %s\n"
msgstr ""

#: main.c:416 main.c:682
#, c-format
msgid "Allocation failure for string from stdin\n"
msgstr ""

#: main.c:577
#, c-format
msgid ""
"For assistance with OpenConnect, please see the web page at\n"
"  http://www.infradead.org/openconnect/mail.html\n"
msgstr ""

#: main.c:586
#, c-format
msgid "Using OpenSSL. Features present:"
msgstr ""

#: main.c:588
#, c-format
msgid "Using GnuTLS. Features present:"
msgstr ""

#: main.c:601
msgid "OpenSSL ENGINE not present"
msgstr ""

#: main.c:640
#, c-format
msgid ""
"WARNING: This binary lacks DTLS and/or ESP support. Performance will be "
"impaired.\n"
msgstr ""

#: main.c:650
#, c-format
msgid "Supported protocols:"
msgstr ""

#: main.c:652 main.c:668
msgid " (default)"
msgstr ""

#: main.c:665
msgid "Set VPN protocol"
msgstr ""

#: main.c:706
msgid "fgets (stdin)"
msgstr ""

#: main.c:746
#, c-format
msgid "Cannot process this executable path \"%s\""
msgstr ""

#: main.c:752
#, c-format
msgid "Allocation for vpnc-script path failed\n"
msgstr ""

#: main.c:772
#, c-format
msgid "Override hostname '%s' to '%s'\n"
msgstr ""

#: main.c:785
#, c-format
msgid "Usage:  openconnect [options] <server>\n"
msgstr ""

#: main.c:786
#, c-format
msgid ""
"Open client for multiple VPN protocols, version %s\n"
"\n"
msgstr ""

#: main.c:788
msgid "Read options from config file"
msgstr ""

#: main.c:789
msgid "Report version number"
msgstr ""

#: main.c:790
msgid "Display help text"
msgstr ""

#: main.c:794
msgid "Authentication"
msgstr ""

#: main.c:795
msgid "Set login username"
msgstr ""

#: main.c:796
msgid "Disable password/SecurID authentication"
msgstr ""

#: main.c:797
msgid "Do not expect user input; exit if it is required"
msgstr ""

#: main.c:798
msgid "Read password from standard input"
msgstr ""

#: main.c:799
msgid "Choose authentication login selection"
msgstr ""

#: main.c:800
msgid "Use SSL client certificate CERT"
msgstr ""

#: main.c:801
msgid "Use SSL private key file KEY"
msgstr ""

#: main.c:802
msgid "Warn when certificate lifetime < DAYS"
msgstr ""

#: main.c:803
msgid "Set login usergroup"
msgstr ""

#: main.c:804
msgid "Set key passphrase or TPM SRK PIN"
msgstr ""

#: main.c:805
msgid "Key passphrase is fsid of file system"
msgstr ""

#: main.c:806
msgid "Software token type: rsa, totp or hotp"
msgstr ""

#: main.c:807
msgid "Software token secret"
msgstr ""

#: main.c:809
msgid "(NOTE: libstoken (RSA SecurID) disabled in this build)"
msgstr ""

#: main.c:812
msgid "(NOTE: Yubikey OATH disabled in this build)"
msgstr ""

#: main.c:815
msgid "Server validation"
msgstr ""

#: main.c:816
msgid "Server's certificate SHA1 fingerprint"
msgstr ""

#: main.c:817
msgid "Do not require server SSL cert to be valid"
msgstr ""

#: main.c:818
msgid "Disable default system certificate authorities"
msgstr ""

#: main.c:819
msgid "Cert file for server verification"
msgstr ""

#: main.c:821
msgid "Internet connectivity"
msgstr ""

#: main.c:822
msgid "Set proxy server"
msgstr ""

#: main.c:823
msgid "Set proxy authentication methods"
msgstr ""

#: main.c:824
msgid "Disable proxy"
msgstr ""

#: main.c:825
msgid "Use libproxy to automatically configure proxy"
msgstr ""

#: main.c:827
msgid "(NOTE: libproxy disabled in this build)"
msgstr ""

#: main.c:829
msgid "Connection retry timeout in seconds"
msgstr ""

#: main.c:830
msgid "Use IP when connecting to HOST"
msgstr ""

#: main.c:831
msgid "copy TOS / TCLASS when using DTLS"
msgstr ""

#: main.c:832
msgid "Set local port for DTLS and ESP datagrams"
msgstr ""

#: main.c:834
msgid "Authentication (two-phase)"
msgstr ""

#: main.c:835
msgid "Use authentication cookie COOKIE"
msgstr ""

#: main.c:836
msgid "Read cookie from standard input"
msgstr ""

#: main.c:837
msgid "Authenticate only and print login info"
msgstr ""

#: main.c:838
msgid "Fetch and print cookie only; don't connect"
msgstr ""

#: main.c:839
msgid "Print cookie before connecting"
msgstr ""

#: main.c:842
msgid "Process control"
msgstr ""

#: main.c:843
msgid "Continue in background after startup"
msgstr ""

#: main.c:844
msgid "Write the daemon's PID to this file"
msgstr ""

#: main.c:845
msgid "Drop privileges after connecting"
msgstr ""

#: main.c:848
msgid "Logging (two-phase)"
msgstr ""

#: main.c:850
msgid "Use syslog for progress messages"
msgstr ""

#: main.c:852
msgid "More output"
msgstr ""

#: main.c:853
msgid "Less output"
msgstr ""

#: main.c:854
msgid "Dump HTTP authentication traffic (implies --verbose"
msgstr ""

#: main.c:855
msgid "Prepend timestamp to progress messages"
msgstr ""

#: main.c:857
msgid "VPN configuration script"
msgstr ""

#: main.c:858
msgid "Use IFNAME for tunnel interface"
msgstr ""

#: main.c:859
msgid "Shell command line for using a vpnc-compatible config script"
msgstr ""

#: main.c:860
msgid "default"
msgstr ""

#: main.c:862
msgid "Pass traffic to 'script' program, not tun"
msgstr ""

#: main.c:865
msgid "Tunnel control"
msgstr ""

#: main.c:866
msgid "Do not ask for IPv6 connectivity"
msgstr ""

#: main.c:867
msgid "XML config file"
msgstr ""

#: main.c:868
msgid "Request MTU from server (legacy servers only)"
msgstr ""

#: main.c:869
msgid "Indicate path MTU to/from server"
msgstr ""

#: main.c:870
msgid "Enable stateful compression (default is stateless only)"
msgstr ""

#: main.c:871
msgid "Disable all compression"
msgstr ""

#: main.c:872
msgid "Set minimum Dead Peer Detection interval"
msgstr ""

#: main.c:873
msgid "Require perfect forward secrecy"
msgstr ""

#: main.c:874
msgid "Disable DTLS and ESP"
msgstr ""

#: main.c:875
msgid "OpenSSL ciphers to support for DTLS"
msgstr ""

#: main.c:876
msgid "Set packet queue limit to LEN pkts"
msgstr ""

#: main.c:878
msgid "Local system information"
msgstr ""

#: main.c:879
msgid "HTTP header User-Agent: field"
msgstr ""

#: main.c:880
msgid "Local hostname to advertise to server"
msgstr ""

#: main.c:881
msgid "OS type (linux,linux-64,win,...) to report"
msgstr ""

#: main.c:884
msgid "Trojan binary (CSD) execution"
msgstr ""

#: main.c:885
msgid "Drop privileges during trojan execution"
msgstr ""

#: main.c:886
msgid "Run SCRIPT instead of trojan binary"
msgstr ""

#: main.c:889
msgid "Server bugs"
msgstr ""

#: main.c:890
msgid "Disable HTTP connection re-use"
msgstr ""

#: main.c:891
msgid "Do not attempt XML POST authentication"
msgstr ""

#: main.c:913
#, c-format
msgid "Failed to allocate string\n"
msgstr ""

#: main.c:986
#, c-format
msgid "Failed to get line from config file: %s\n"
msgstr ""

#: main.c:1026
#, c-format
msgid "Unrecognised option at line %d: '%s'\n"
msgstr ""

#: main.c:1036
#, c-format
msgid "Option '%s' does not take an argument at line %d\n"
msgstr ""

#: main.c:1040
#, c-format
msgid "Option '%s' requires an argument at line %d\n"
msgstr ""

#: main.c:1065
#, c-format
msgid "Invalid user \"%s\": %s\n"
msgstr ""

#: main.c:1075
#, c-format
msgid "Invalid user ID \"%d\": %s\n"
msgstr ""

#: main.c:1119
#, c-format
msgid "WARNING: Cannot set locale: %s\n"
msgstr ""

#: main.c:1129
#, c-format
msgid ""
"WARNING: This version of openconnect was built without iconv\n"
"         support but you appear to be using the legacy character\n"
"         set \"%s\". Expect strangeness.\n"
msgstr ""

#: main.c:1136
#, c-format
msgid ""
"WARNING: This version of openconnect is %s but\n"
"         the libopenconnect library is %s\n"
msgstr ""

#: main.c:1146
#, c-format
msgid "Failed to allocate vpninfo structure\n"
msgstr ""

#: main.c:1201
#, c-format
msgid "Cannot use 'config' option inside config file\n"
msgstr ""

#: main.c:1209
#, c-format
msgid "Cannot open config file '%s': %s\n"
msgstr ""

#: main.c:1225
#, c-format
msgid "Invalid compression mode '%s'\n"
msgstr ""

#: main.c:1246
#, c-format
msgid "Missing colon in resolve option\n"
msgstr ""

#: main.c:1251
#, c-format
msgid "Failed to allocate memory\n"
msgstr ""

#: main.c:1332 main.c:1341
#, c-format
msgid "MTU %d too small\n"
msgstr ""

#: main.c:1371
#, c-format
msgid ""
"Disabling all HTTP connection re-use due to --no-http-keepalive option.\n"
"If this helps, please report to <openconnect-devel@lists.infradead.org>.\n"
msgstr ""

#: main.c:1377
#, c-format
msgid ""
"The --no-cert-check option was insecure and has been removed.\n"
"Fix your server's certificate or use --servercert to trust it.\n"
msgstr ""

#: main.c:1394
#, c-format
msgid "Queue length zero not permitted; using 1\n"
msgstr ""

#: main.c:1408
#, c-format
msgid "OpenConnect version %s\n"
msgstr ""

#: main.c:1442
#, c-format
msgid "Invalid software token mode \"%s\"\n"
msgstr ""

#: main.c:1452
#, c-format
msgid "Invalid OS identity \"%s\"\n"
msgstr ""

#: main.c:1485
#, c-format
msgid "Too many arguments on command line\n"
msgstr ""

#: main.c:1488
#, c-format
msgid "No server specified\n"
msgstr ""

#: main.c:1504
#, c-format
msgid "This version of openconnect was built without libproxy support\n"
msgstr ""

#: main.c:1533
#, c-format
msgid "Error opening cmd pipe\n"
msgstr ""

#: main.c:1566
#, c-format
msgid "Failed to obtain WebVPN cookie\n"
msgstr ""

#: main.c:1587
#, c-format
msgid "Creating SSL connection failed\n"
msgstr ""

#: main.c:1603
#, c-format
msgid "Set up UDP failed; using SSL instead\n"
msgstr ""

#: main.c:1611
#, c-format
msgid "Connected as %s%s%s, using SSL%s%s, with %s%s%s %s\n"
msgstr ""

#: main.c:1617
msgid "disabled"
msgstr ""

#: main.c:1617
msgid "in progress"
msgstr ""

#: main.c:1621
msgid "No --script argument provided; DNS and routing are not configured\n"
msgstr ""

#: main.c:1623
msgid "See http://www.infradead.org/openconnect/vpnc-script.html\n"
msgstr ""

#: main.c:1636
#, c-format
msgid "Failed to open '%s' for write: %s\n"
msgstr ""

#: main.c:1648
#, c-format
msgid "Continuing in background; pid %d\n"
msgstr ""

#: main.c:1665
msgid "User requested reconnect\n"
msgstr ""

#: main.c:1673
msgid "Cookie was rejected on reconnection; exiting.\n"
msgstr ""

#: main.c:1677
msgid "Session terminated by server; exiting.\n"
msgstr ""

#: main.c:1681
msgid "User cancelled (SIGINT); exiting.\n"
msgstr ""

#: main.c:1685
msgid "User detached from session (SIGHUP); exiting.\n"
msgstr ""

#: main.c:1689
msgid "Unknown error; exiting.\n"
msgstr ""

#: main.c:1708
#, c-format
msgid "Failed to open %s for write: %s\n"
msgstr ""

#: main.c:1716
#, c-format
msgid "Failed to write config to %s: %s\n"
msgstr ""

#: main.c:1775
#, c-format
msgid "Server SSL certificate didn't match: %s\n"
msgstr ""

#: main.c:1794
#, c-format
msgid ""
"\n"
"Certificate from VPN server \"%s\" failed verification.\n"
"Reason: %s\n"
msgstr ""

#: main.c:1797
#, c-format
msgid ""
"To trust this server in future, perhaps add this to your command line:\n"
msgstr ""

#: main.c:1798
#, c-format
msgid "    --servercert %s\n"
msgstr ""

#: main.c:1803
#, c-format
msgid "Enter '%s' to accept, '%s' to abort; anything else to view: "
msgstr ""

#: main.c:1804 main.c:1822
msgid "no"
msgstr ""

#: main.c:1804 main.c:1810
msgid "yes"
msgstr ""

#: main.c:1831
#, c-format
msgid "Server key hash: %s\n"
msgstr ""

#: main.c:1865
#, c-format
msgid "Auth choice \"%s\" matches multiple options\n"
msgstr ""

#: main.c:1868
#, c-format
msgid "Auth choice \"%s\" not available\n"
msgstr ""

#: main.c:1889
msgid "User input required in non-interactive mode\n"
msgstr ""

#: main.c:2065
#, c-format
msgid "Failed to open token file for write: %s\n"
msgstr ""

#: main.c:2073
#, c-format
msgid "Failed to write token: %s\n"
msgstr ""

#: main.c:2119 main.c:2140
#, c-format
msgid "Soft token string is invalid\n"
msgstr ""

#: main.c:2122
#, c-format
msgid "Can't open ~/.stokenrc file\n"
msgstr ""

#: main.c:2125
#, c-format
msgid "OpenConnect was not built with libstoken support\n"
msgstr ""

#: main.c:2128
#, c-format
msgid "General failure in libstoken\n"
msgstr ""

#: main.c:2143
#, c-format
msgid "OpenConnect was not built with liboath support\n"
msgstr ""

#: main.c:2146
#, c-format
msgid "General failure in liboath\n"
msgstr ""

#: main.c:2157
#, c-format
msgid "Yubikey token not found\n"
msgstr ""

#: main.c:2160
#, c-format
msgid "OpenConnect was not built with Yubikey support\n"
msgstr ""

#: main.c:2163
#, c-format
msgid "General Yubikey failure: %s\n"
msgstr ""

#: mainloop.c:127
#, c-format
msgid "Set up tun script failed\n"
msgstr ""

#: mainloop.c:134
#, c-format
msgid "Set up tun device failed\n"
msgstr ""

#: mainloop.c:265
msgid "Caller paused the connection\n"
msgstr ""

#: mainloop.c:273
#, c-format
msgid "No work to do; sleeping for %d ms...\n"
msgstr ""

#: mainloop.c:294
#, c-format
msgid "WaitForMultipleObjects failed: %s\n"
msgstr ""

#: ntlm.c:87 sspi.c:114 sspi.c:197
#, c-format
msgid "InitializeSecurityContext() failed: %lx\n"
msgstr ""

#: ntlm.c:113 sspi.c:48
#, c-format
msgid "AcquireCredentialsHandle() failed: %lx\n"
msgstr ""

#: ntlm.c:246
msgid "Error communicating with ntlm_auth helper\n"
msgstr ""

#: ntlm.c:265
msgid "Attempting HTTP NTLM authentication to proxy (single-sign-on)\n"
msgstr ""

#: ntlm.c:268
#, c-format
msgid "Attempting HTTP NTLM authentication to server '%s' (single-sign-on)\n"
msgstr ""

#: ntlm.c:978
#, c-format
msgid "Attempting HTTP NTLMv%d authentication to proxy\n"
msgstr ""

#: ntlm.c:982
#, c-format
msgid "Attempting HTTP NTLMv%d authentication to server '%s'\n"
msgstr ""

#: oath.c:97
msgid "Invalid base32 token string\n"
msgstr ""

#: oath.c:105
msgid "Failed to allocate memory to decode OATH secret\n"
msgstr ""

#: oath.c:208
msgid "This version of OpenConnect was built without PSKC support\n"
msgstr ""

#: oath.c:353 oath.c:378 stoken.c:272 yubikey.c:510
msgid "OK to generate INITIAL tokencode\n"
msgstr ""

#: oath.c:357 oath.c:381 stoken.c:277 yubikey.c:514
msgid "OK to generate NEXT tokencode\n"
msgstr ""

#: oath.c:362 oath.c:385 stoken.c:282
msgid "Server is rejecting the soft token; switching to manual entry\n"
msgstr ""

#: oath.c:419
msgid "Generating OATH TOTP token code\n"
msgstr ""

#: oath.c:565
msgid "Generating OATH HOTP token code\n"
msgstr ""

#: oncp.c:56
#, c-format
msgid "Invalid cookie '%s'\n"
msgstr ""

#: oncp.c:160
#, c-format
msgid "Unexpected length %d for TLV %d/%d\n"
msgstr ""

#: oncp.c:166
#, c-format
msgid "Received MTU %d from server\n"
msgstr ""

#: oncp.c:175
#, c-format
msgid "Received DNS server %s\n"
msgstr ""

#: oncp.c:186
#, c-format
msgid "Received DNS search domain %.*s\n"
msgstr ""

#: oncp.c:201
#, c-format
msgid "Received internal IP address %s\n"
msgstr ""

#: oncp.c:210
#, c-format
msgid "Received netmask %s\n"
msgstr ""

#: oncp.c:219
#, c-format
msgid "Received internal gateway address %s\n"
msgstr ""

#: oncp.c:232
#, c-format
msgid "Received split include route %s\n"
msgstr ""

#: oncp.c:254
#, c-format
msgid "Received split exclude route %s\n"
msgstr ""

#: oncp.c:274
#, c-format
msgid "Received WINS server %s\n"
msgstr ""

#: oncp.c:297
#, c-format
msgid "ESP encryption: 0x%02x (%s)\n"
msgstr ""

#: oncp.c:316
#, c-format
msgid "ESP HMAC: 0x%02x (%s)\n"
msgstr ""

#: oncp.c:327
#, c-format
msgid "ESP compression: %d\n"
msgstr ""

#: oncp.c:335
#, c-format
msgid "ESP port: %d\n"
msgstr ""

#: oncp.c:342
#, c-format
msgid "ESP key lifetime: %u bytes\n"
msgstr ""

#: oncp.c:350
#, c-format
msgid "ESP key lifetime: %u seconds\n"
msgstr ""

#: oncp.c:358
#, c-format
msgid "ESP to SSL fallback: %u seconds\n"
msgstr ""

#: oncp.c:366
#, c-format
msgid "ESP replay protection: %d\n"
msgstr ""

#: oncp.c:374
#, c-format
msgid "ESP SPI (outbound): %x\n"
msgstr ""

#: oncp.c:383
#, c-format
msgid "%d bytes of ESP secrets\n"
msgstr ""

#: oncp.c:395
#, c-format
msgid "Unknown TLV group %d attr %d len %d:%s\n"
msgstr ""

#: oncp.c:473
msgid "Failed to parse KMP header\n"
msgstr ""

#: oncp.c:490
msgid "Failed to parse KMP message\n"
msgstr ""

#: oncp.c:496
#, c-format
msgid "Got KMP message %d of size %d\n"
msgstr ""

#: oncp.c:512
#, c-format
msgid "Received non-ESP TLVs (group %d) in ESP negotiation KMP\n"
msgstr ""

#: oncp.c:577 oncp.c:609 oncp.c:747
msgid "Error creating oNCP negotiation request\n"
msgstr ""

#: oncp.c:618 oncp.c:783
msgid "Short write in oNCP negotiation\n"
msgstr ""

#: oncp.c:631 oncp.c:666
#, c-format
msgid "Read %d bytes of SSL record\n"
msgstr ""

#: oncp.c:636
#, c-format
msgid "Unexpected response of size %d after hostname packet\n"
msgstr ""

#: oncp.c:643
#, c-format
msgid "Server response to hostname packet is error 0x%02x\n"
msgstr ""

#: oncp.c:670
msgid "Invalid packet waiting for KMP 301\n"
msgstr ""

#: oncp.c:683
#, c-format
msgid "Expected KMP message 301 from server but got %d\n"
msgstr ""

#: oncp.c:692
#, c-format
msgid "KMP message 301 from server too large (%d bytes)\n"
msgstr ""

#: oncp.c:698
#, c-format
msgid "Got KMP message 301 of length %d\n"
msgstr ""

#: oncp.c:705
msgid "Failed to read continuation record length\n"
msgstr ""

#: oncp.c:711
#, c-format
msgid "Record of additional %d bytes too large; would make %d\n"
msgstr ""

#: oncp.c:720
#, c-format
msgid "Failed to read continuation record of length %d\n"
msgstr ""

#: oncp.c:726
#, c-format
msgid "Read additional %d bytes of KMP 301 message\n"
msgstr ""

#: oncp.c:767
msgid "Error negotiating ESP keys\n"
msgstr ""

#: oncp.c:776
msgid "oNCP negotiation request outgoing:\n"
msgstr ""

#: oncp.c:829
msgid "new incoming"
msgstr ""

#: oncp.c:830
msgid "new outgoing"
msgstr ""

#: oncp.c:855
msgid "Read only 1 byte of oNCP length field\n"
msgstr ""

#: oncp.c:864
msgid "Server terminated connection (session expired)\n"
msgstr ""

#: oncp.c:868
#, c-format
msgid "Server terminated connection (reason: %d)\n"
msgstr ""

#: oncp.c:874
msgid "Server sent zero-length oNCP record\n"
msgstr ""

#: oncp.c:969
#, c-format
msgid "Incoming KMP message %d of size %d (got %d)\n"
msgstr ""

#: oncp.c:972
#, c-format
msgid "Continuing to process KMP message %d now size %d (got %d)\n"
msgstr ""

#: oncp.c:991
msgid "Unrecognised data packet\n"
msgstr ""

#: oncp.c:1053
#, c-format
msgid "Unknown KMP message %d of size %d:\n"
msgstr ""

#: oncp.c:1058
#, c-format
msgid ".... + %d more bytes unreceived\n"
msgstr ""

#: oncp.c:1073
msgid "Packet outgoing:\n"
msgstr ""

#: oncp.c:1134
msgid "Sent ESP enable control packet\n"
msgstr ""

#: oncp.c:1268
msgid "Logout successful.\n"
msgstr ""

#: openconnect-internal.h:1106 openconnect-internal.h:1114
#, c-format
msgid "ERROR: %s() called with invalid UTF-8 for '%s' argument\n"
msgstr ""

#: openssl-dtls.c:94
#, c-format
msgid "Unable to calculate DTLS overhead for %s\n"
msgstr ""

#: openssl-dtls.c:210 openssl-dtls.c:269
msgid "Failed to generate random key\n"
msgstr ""

#: openssl-dtls.c:232
#, c-format
msgid "Failed to create SSL_SESSION ASN.1 for OpenSSL: %s\n"
msgstr ""

#: openssl-dtls.c:243
msgid "OpenSSL failed to parse SSL_SESSION ASN.1\n"
msgstr ""

#: openssl-dtls.c:259
msgid "Initialise DTLSv1 session failed\n"
msgstr ""

#: openssl-dtls.c:275
msgid "Too large application ID size\n"
msgstr ""

#: openssl-dtls.c:308
msgid "PSK callback\n"
msgstr ""

#: openssl-dtls.c:364
msgid "Initialise DTLSv1 CTX failed\n"
msgstr ""

#: openssl-dtls.c:377
msgid "Set DTLS CTX version failed\n"
msgstr ""

#: openssl-dtls.c:394
msgid "Failed to generate DTLS key\n"
msgstr ""

#: openssl-dtls.c:412
msgid "Set DTLS cipher list failed\n"
msgstr ""

#: openssl-dtls.c:428
msgid "Not precisely one DTLS cipher\n"
msgstr ""

#: openssl-dtls.c:449
#, c-format
msgid ""
"SSL_set_session() failed with old protocol version 0x%x\n"
"Are you using a version of OpenSSL older than 0.9.8m?\n"
"See http://rt.openssl.org/Ticket/Display.html?id=1751\n"
"Use the --no-dtls command line option to avoid this message\n"
msgstr ""

#: openssl-dtls.c:482
msgid "SSL_set_session() failed\n"
msgstr ""

#: openssl-dtls.c:555
#, c-format
msgid "Established DTLS connection (using OpenSSL). Ciphersuite %s.\n"
msgstr ""

#: openssl-dtls.c:592
msgid "Your OpenSSL is older than the one you built against, so DTLS may fail!"
msgstr ""

#: openssl-dtls.c:643
msgid ""
"This is probably because your OpenSSL is broken\n"
"See http://rt.openssl.org/Ticket/Display.html?id=2984\n"
msgstr ""

#: openssl-dtls.c:650
#, c-format
msgid "DTLS handshake failed: %d\n"
msgstr ""

#: openssl-esp.c:90
msgid "Failed to initialise ESP cipher:\n"
msgstr ""

#: openssl-esp.c:105
msgid "Failed to initialize ESP HMAC\n"
msgstr ""

#: openssl-esp.c:161
msgid "Failed to generate random keys for ESP:\n"
msgstr ""

#: openssl-esp.c:207
msgid "Failed to set up decryption context for ESP packet:\n"
msgstr ""

#: openssl-esp.c:215
msgid "Failed to decrypt ESP packet:\n"
msgstr ""

#: openssl-esp.c:235
msgid "Failed to generate random IV for ESP packet:\n"
msgstr ""

#: openssl-esp.c:249
msgid "Failed to set up encryption context for ESP packet:\n"
msgstr ""

#: openssl-esp.c:258
msgid "Failed to encrypt ESP packet:\n"
msgstr ""

#: openssl-pkcs11.c:43
msgid "Failed to establish libp11 PKCS#11 context:\n"
msgstr ""

#: openssl-pkcs11.c:49
#, c-format
msgid "Failed to load PKCS#11 provider module (%s):\n"
msgstr ""

#: openssl-pkcs11.c:269
msgid "PIN locked\n"
msgstr ""

#: openssl-pkcs11.c:272
msgid "PIN expired\n"
msgstr ""

#: openssl-pkcs11.c:275
msgid "Another user already logged in\n"
msgstr ""

#: openssl-pkcs11.c:279
msgid "Unknown error logging in to PKCS#11 token\n"
msgstr ""

#: openssl-pkcs11.c:286
#, c-format
msgid "Logged in to PKCS#11 slot '%s'\n"
msgstr ""

#: openssl-pkcs11.c:300
#, c-format
msgid "Failed to enumerate certs in PKCS#11 slot '%s'\n"
msgstr ""

#: openssl-pkcs11.c:306
#, c-format
msgid "Found %d certs in slot '%s'\n"
msgstr ""

#: openssl-pkcs11.c:342 openssl-pkcs11.c:565
#, c-format
msgid "Failed to parse PKCS#11 URI '%s'\n"
msgstr ""

#: openssl-pkcs11.c:349 openssl-pkcs11.c:575
msgid "Failed to enumerate PKCS#11 slots\n"
msgstr ""

#: openssl-pkcs11.c:383 openssl-pkcs11.c:617
#, c-format
msgid "Logging in to PKCS#11 slot '%s'\n"
msgstr ""

#: openssl-pkcs11.c:393
#, c-format
msgid "Failed to find PKCS#11 cert '%s'\n"
msgstr ""

#: openssl-pkcs11.c:401
msgid "Certificate X.509 content not fetched by libp11\n"
msgstr ""

#: openssl-pkcs11.c:412 openssl.c:714
msgid "Failed to install certificate in OpenSSL context\n"
msgstr ""

#: openssl-pkcs11.c:458
#, c-format
msgid "Failed to enumerate keys in PKCS#11 slot '%s'\n"
msgstr ""

#: openssl-pkcs11.c:464
#, c-format
msgid "Found %d keys in slot '%s'\n"
msgstr ""

#: openssl-pkcs11.c:497
msgid "Certificate has no public key\n"
msgstr ""

#: openssl-pkcs11.c:503 openssl-pkcs11.c:526
msgid "Certificate does not match private key\n"
msgstr ""

#: openssl-pkcs11.c:506
msgid "Checking EC key matches cert\n"
msgstr ""

#: openssl-pkcs11.c:510
msgid "Failed to allocate signature buffer\n"
msgstr ""

#: openssl-pkcs11.c:520
msgid "Failed to sign dummy data to validate EC key\n"
msgstr ""

#: openssl-pkcs11.c:638
#, c-format
msgid "Failed to find PKCS#11 key '%s'\n"
msgstr ""

#: openssl-pkcs11.c:649
msgid "Failed to instantiated private key from PKCS#11\n"
msgstr ""

#: openssl-pkcs11.c:678
msgid "Add key from PKCS#11 failed\n"
msgstr ""

#: openssl-pkcs11.c:710 openssl-pkcs11.c:716
msgid "This version of OpenConnect was built without PKCS#11 support\n"
msgstr ""

#: openssl.c:147
msgid "Failed to write to SSL socket\n"
msgstr ""

#: openssl.c:197 openssl.c:263
msgid "Failed to read from SSL socket\n"
msgstr ""

#: openssl.c:292
#, c-format
msgid "SSL read error %d (server probably closed connection); reconnecting.\n"
msgstr ""

#: openssl.c:317
#, c-format
msgid "SSL_write failed: %d\n"
msgstr ""

#: openssl.c:389
#, c-format
msgid "Unhandled SSL UI request type %d\n"
msgstr ""

#: openssl.c:465
#, c-format
msgid "PEM password too long (%d >= %d)\n"
msgstr ""

#: openssl.c:498
#, c-format
msgid "Extra cert from %s: '%s'\n"
msgstr ""

#: openssl.c:548
msgid "Parse PKCS#12 failed (see above errors)\n"
msgstr ""

#: openssl.c:563
msgid "PKCS#12 contained no certificate!\n"
msgstr ""

#: openssl.c:572
msgid "PKCS#12 contained no private key!\n"
msgstr ""

#: openssl.c:577
msgid "PKCS#12"
msgstr ""

#: openssl.c:600
msgid "Can't load TPM engine.\n"
msgstr ""

#: openssl.c:606
msgid "Failed to init TPM engine\n"
msgstr ""

#: openssl.c:616
msgid "Failed to set TPM SRK password\n"
msgstr ""

#: openssl.c:631
msgid "Failed to load TPM private key\n"
msgstr ""

#: openssl.c:637
msgid "Add key from TPM failed\n"
msgstr ""

#: openssl.c:688 openssl.c:836
#, c-format
msgid "Failed to open certificate file %s: %s\n"
msgstr ""

#: openssl.c:698
msgid "Loading certificate failed\n"
msgstr ""

#: openssl.c:736
msgid "Failed to process all supporting certs. Trying anyway...\n"
msgstr ""

#: openssl.c:749
msgid "PEM file"
msgstr ""

#: openssl.c:778
#, c-format
msgid "Failed to create BIO for keystore item '%s'\n"
msgstr ""

#: openssl.c:803
msgid "Loading private key failed (wrong passphrase?)\n"
msgstr ""

#: openssl.c:809
msgid "Loading private key failed (see above errors)\n"
msgstr ""

#: openssl.c:859
msgid "Failed to load X509 certificate from keystore\n"
msgstr ""

#: openssl.c:865
msgid "Failed to use X509 certificate from keystore\n"
msgstr ""

#: openssl.c:897
msgid "Failed to use private key from keystore\n"
msgstr ""

#: openssl.c:913
#, c-format
msgid "Failed to open private key file %s: %s\n"
msgstr ""

#: openssl.c:937 openssl.c:952 openssl.c:973 openssl.c:1039
msgid "Loading private key failed\n"
msgstr ""

#: openssl.c:1033
msgid "Failed to convert PKCS#8 to OpenSSL EVP_PKEY\n"
msgstr ""

#: openssl.c:1050
#, c-format
msgid "Failed to identify private key type in '%s'\n"
msgstr ""

#: openssl.c:1204
#, c-format
msgid "Matched DNS altname '%s'\n"
msgstr ""

#: openssl.c:1211
#, c-format
msgid "No match for altname '%s'\n"
msgstr ""

#: openssl.c:1225
#, c-format
msgid "Certificate has GEN_IPADD altname with bogus length %d\n"
msgstr ""

#: openssl.c:1236 openssl.c:1382
#, c-format
msgid "Matched %s address '%s'\n"
msgstr ""

#: openssl.c:1243
#, c-format
msgid "No match for %s address '%s'\n"
msgstr ""

#: openssl.c:1285
#, c-format
msgid "URI '%s' has non-empty path; ignoring\n"
msgstr ""

#: openssl.c:1290
#, c-format
msgid "Matched URI '%s'\n"
msgstr ""

#: openssl.c:1301
#, c-format
msgid "No match for URI '%s'\n"
msgstr ""

#: openssl.c:1316
#, c-format
msgid "No altname in peer cert matched '%s'\n"
msgstr ""

#: openssl.c:1324
msgid "No subject name in peer cert!\n"
msgstr ""

#: openssl.c:1344
msgid "Failed to parse subject name in peer cert\n"
msgstr ""

#: openssl.c:1351
#, c-format
msgid "Peer cert subject mismatch ('%s' != '%s')\n"
msgstr ""

#: openssl.c:1356 openssl.c:1390
#, c-format
msgid "Matched peer certificate subject name '%s'\n"
msgstr ""

#: openssl.c:1452
#, c-format
msgid "Extra cert from cafile: '%s'\n"
msgstr ""

#: openssl.c:1590
msgid "Error in client cert notAfter field\n"
msgstr ""

#: openssl.c:1603
msgid "<error>"
msgstr ""

#: openssl.c:1656
msgid "Create TLSv1 CTX failed\n"
msgstr ""

#: openssl.c:1675
msgid "SSL certificate and key do not match\n"
msgstr ""

#: openssl.c:1720
#, c-format
msgid "Failed to read certs from CA file '%s'\n"
msgstr ""

#: openssl.c:1753
#, c-format
msgid "Failed to open CA file '%s'\n"
msgstr ""

#: openssl.c:1813
msgid "SSL connection failure\n"
msgstr ""

#: openssl.c:1974
msgid "Failed to calculate OATH HMAC\n"
msgstr ""

#: script.c:105
#, c-format
msgid "Discard bad split include: \"%s\"\n"
msgstr ""

#: script.c:109
#, c-format
msgid "Discard bad split exclude: \"%s\"\n"
msgstr ""

#: script.c:516 script.c:564
#, c-format
msgid "Failed to spawn script '%s' for %s: %s\n"
msgstr ""

#: script.c:571
#, c-format
msgid "Script '%s' exited abnormally (%x)\n"
msgstr ""

#: script.c:579
#, c-format
msgid "Script '%s' returned error %d\n"
msgstr ""

#: ssl.c:99
msgid "Socket connect cancelled\n"
msgstr ""

#: ssl.c:208
#, c-format
msgid "Failed to reconnect to proxy %s: %s\n"
msgstr ""

#: ssl.c:212
#, c-format
msgid "Failed to reconnect to host %s: %s\n"
msgstr ""

#: ssl.c:280
#, c-format
msgid "Proxy from libproxy: %s://%s:%d/\n"
msgstr ""

#: ssl.c:308
#, c-format
msgid "getaddrinfo failed for host '%s': %s\n"
msgstr ""

#: ssl.c:317 ssl.c:442
msgid "Reconnecting to DynDNS server using previously cached IP address\n"
msgstr ""

#: ssl.c:332
#, c-format
msgid "Attempting to connect to proxy %s%s%s:%s\n"
msgstr ""

#: ssl.c:333
#, c-format
msgid "Attempting to connect to server %s%s%s:%s\n"
msgstr ""

#: ssl.c:353
#, c-format
msgid "Connected to %s%s%s:%s\n"
msgstr ""

#: ssl.c:365
msgid "Failed to allocate sockaddr storage\n"
msgstr ""

#: ssl.c:407
#, c-format
msgid "Failed to connect to %s%s%s:%s: %s\n"
msgstr ""

#: ssl.c:425
msgid "Forgetting non-functional previous peer address\n"
msgstr ""

#: ssl.c:437
#, c-format
msgid "Failed to connect to host %s\n"
msgstr ""

#: ssl.c:456
#, c-format
msgid "Reconnecting to proxy %s\n"
msgstr ""

#: ssl.c:527
#, c-format
msgid "statvfs: %s\n"
msgstr ""

#: ssl.c:555
msgid "Could not obtain file system ID for passphrase\n"
msgstr ""

#: ssl.c:566
#, c-format
msgid "Failed to open private key file '%s': %s\n"
msgstr ""

#: ssl.c:594
#, c-format
msgid "statfs: %s\n"
msgstr ""

#: ssl.c:685
msgid "No error"
msgstr ""

#: ssl.c:686
msgid "Keystore locked"
msgstr ""

#: ssl.c:687
msgid "Keystore uninitialized"
msgstr ""

#: ssl.c:688
msgid "System error"
msgstr ""

#: ssl.c:689
msgid "Protocol error"
msgstr ""

#: ssl.c:690
msgid "Permission denied"
msgstr ""

#: ssl.c:691
msgid "Key not found"
msgstr ""

#: ssl.c:692
msgid "Value corrupted"
msgstr ""

#: ssl.c:693
msgid "Undefined action"
msgstr ""

#: ssl.c:697
msgid "Wrong password"
msgstr ""

#: ssl.c:698
msgid "Unknown error"
msgstr ""

#: ssl.c:887
#, c-format
msgid "openconnect_fopen_utf8() used with unsupported mode '%s'\n"
msgstr ""

#: ssl.c:920
#, c-format
msgid "Unknown protocol family %d. Cannot create UDP server address\n"
msgstr ""

#: ssl.c:939
msgid "Open UDP socket"
msgstr ""

#: ssl.c:970
#, c-format
msgid "Unknown protocol family %d. Cannot use UDP transport\n"
msgstr ""

#: ssl.c:978
msgid "Bind UDP socket"
msgstr ""

#: ssl.c:985
msgid "Connect UDP socket\n"
msgstr ""

#: ssl.c:1018
msgid "Cookie is no longer valid, ending session\n"
msgstr ""

#: ssl.c:1022
#, c-format
msgid "sleep %ds, remaining timeout %ds\n"
msgstr ""

#: sspi.c:203
#, c-format
msgid "SSPI token too large (%ld bytes)\n"
msgstr ""

#: sspi.c:216
#, c-format
msgid "Sending SSPI token of %lu bytes\n"
msgstr ""

#: sspi.c:221
#, c-format
msgid "Failed to send SSPI authentication token to proxy: %s\n"
msgstr ""

#: sspi.c:229 sspi.c:257
#, c-format
msgid "Failed to receive SSPI authentication token from proxy: %s\n"
msgstr ""

#: sspi.c:235
msgid "SOCKS server reported SSPI context failure\n"
msgstr ""

#: sspi.c:239
#, c-format
msgid "Unknown SSPI status response (0x%02x) from SOCKS server\n"
msgstr ""

#: sspi.c:261
#, c-format
msgid "Got SSPI token of %lu bytes: %02x %02x %02x %02x\n"
msgstr ""

#: sspi.c:277
#, c-format
msgid "QueryContextAttributes() failed: %lx\n"
msgstr ""

#: sspi.c:313
#, c-format
msgid "EncryptMessage() failed: %lx\n"
msgstr ""

#: sspi.c:325
#, c-format
msgid "EncryptMessage() result too large (%lu + %lu + %lu)\n"
msgstr ""

#: sspi.c:350
#, c-format
msgid "Sending SSPI protection negotiation of %u bytes\n"
msgstr ""

#: sspi.c:355
#, c-format
msgid "Failed to send SSPI protection response to proxy: %s\n"
msgstr ""

#: sspi.c:363 sspi.c:373
#, c-format
msgid "Failed to receive SSPI protection response from proxy: %s\n"
msgstr ""

#: sspi.c:378
#, c-format
msgid "Got SSPI protection response of %d bytes: %02x %02x %02x %02x\n"
msgstr ""

#: sspi.c:394
#, c-format
msgid "DecryptMessage failed: %lx\n"
msgstr ""

#: sspi.c:399
#, c-format
msgid "Invalid SSPI protection response from proxy (%lu bytes)\n"
msgstr ""

#: stoken.c:77
msgid "Enter credentials to unlock software token."
msgstr ""

#: stoken.c:82
msgid "Device ID:"
msgstr ""

#: stoken.c:89
msgid "Password:"
msgstr ""

#: stoken.c:118
msgid "User bypassed soft token.\n"
msgstr ""

#: stoken.c:124 stoken.c:209
msgid "All fields are required; try again.\n"
msgstr ""

#: stoken.c:134 stoken.c:301
msgid "General failure in libstoken.\n"
msgstr ""

#: stoken.c:138
msgid "Incorrect device ID or password; try again.\n"
msgstr ""

#: stoken.c:142
msgid "Soft token init was successful.\n"
msgstr ""

#: stoken.c:185
msgid "Enter software token PIN."
msgstr ""

#: stoken.c:189
msgid "PIN:"
msgstr ""

#: stoken.c:216
msgid "Invalid PIN format; try again.\n"
msgstr ""

#: stoken.c:296
msgid "Generating RSA token code\n"
msgstr ""

#: tun-win32.c:76
msgid "Error accessing registry key for network adapters\n"
msgstr ""

#: tun-win32.c:139
#, c-format
msgid "Ignoring non-matching TAP interface \"%s\"\n"
msgstr ""

#: tun-win32.c:154
msgid "No Windows-TAP adapters found. Is the driver installed?\n"
msgstr ""

#: tun-win32.c:186
#, c-format
msgid ""
"GetAdapterIndex() failed: %s\n"
"Falling back to GetAdaptersInfo()\n"
msgstr ""

#: tun-win32.c:200
#, c-format
msgid "GetAdaptersInfo() failed: %s\n"
msgstr ""

#: tun-win32.c:231
#, c-format
msgid "Failed to open %s\n"
msgstr ""

#: tun-win32.c:236
#, c-format
msgid "Opened tun device %s\n"
msgstr ""

#: tun-win32.c:244
#, c-format
msgid "Failed to obtain TAP driver version: %s\n"
msgstr ""

#: tun-win32.c:250
#, c-format
msgid "Error: TAP-Windows driver v9.9 or greater is required (found %ld.%ld)\n"
msgstr ""

#: tun-win32.c:271
#, c-format
msgid "Failed to set TAP IP addresses: %s\n"
msgstr ""

#: tun-win32.c:283 tun-win32.c:406
#, c-format
msgid "Failed to set TAP media status: %s\n"
msgstr ""

#: tun-win32.c:316
msgid "TAP device aborted connectivity. Disconnecting.\n"
msgstr ""

#: tun-win32.c:321
#, c-format
msgid "Failed to read from TAP device: %s\n"
msgstr ""

#: tun-win32.c:335
#, c-format
msgid "Failed to complete read from TAP device: %s\n"
msgstr ""

#: tun-win32.c:358
#, c-format
msgid "Wrote %ld bytes to tun\n"
msgstr ""

#: tun-win32.c:368
msgid "Waiting for tun write...\n"
msgstr ""

#: tun-win32.c:371
#, c-format
msgid "Wrote %ld bytes to tun after waiting\n"
msgstr ""

#: tun-win32.c:378
#, c-format
msgid "Failed to write to TAP device: %s\n"
msgstr ""

#: tun-win32.c:423
msgid "Spawning tunnel scripts is not yet supported on Windows\n"
msgstr ""

#: tun.c:88
msgid "Could not open /dev/tun for plumbing"
msgstr ""

#: tun.c:92
msgid "Can't push IP"
msgstr ""

#: tun.c:102
msgid "Can't set ifname"
msgstr ""

#: tun.c:109
#, c-format
msgid "Can't open %s: %s"
msgstr ""

#: tun.c:118
#, c-format
msgid "Can't plumb %s for IPv%d: %s\n"
msgstr ""

#: tun.c:139
msgid "open /dev/tun"
msgstr ""

#: tun.c:145
msgid "Failed to create new tun"
msgstr ""

#: tun.c:151
msgid "Failed to put tun file descriptor into message-discard mode"
msgstr ""

#: tun.c:183
msgid "tun device is unsupported on this platform\n"
msgstr ""

#: tun.c:205
msgid "open net"
msgstr ""

#: tun.c:214
msgid "SIOCSIFMTU"
msgstr ""

#: tun.c:242 tun.c:428
#, c-format
msgid "Failed to open tun device: %s\n"
msgstr ""

#: tun.c:253
#, c-format
msgid "Failed to bind local tun device (TUNSETIFF): %s\n"
msgstr ""

#: tun.c:257
msgid ""
"To configure local networking, openconnect must be running as root\n"
"See http://www.infradead.org/openconnect/nonroot.html for more information\n"
msgstr ""

#: tun.c:322
#, c-format
msgid "Invalid interface name '%s'; must match 'utun%%d' or 'tun%%d'\n"
msgstr ""

#: tun.c:331
#, c-format
msgid "Failed to open SYSPROTO_CONTROL socket: %s\n"
msgstr ""

#: tun.c:340
#, c-format
msgid "Failed to query utun control id: %s\n"
msgstr ""

#: tun.c:358
msgid "Failed to allocate utun device name\n"
msgstr ""

#: tun.c:369
#, c-format
msgid "Failed to connect utun unit: %s\n"
msgstr ""

#: tun.c:388
#, c-format
msgid "Invalid interface name '%s'; must match 'tun%%d'\n"
msgstr ""

#: tun.c:398
#, c-format
msgid "Cannot open '%s': %s\n"
msgstr ""

#: tun.c:437
msgid "TUNSIFHEAD"
msgstr ""

#: tun.c:479
#, c-format
msgid "socketpair failed: %s\n"
msgstr ""

#: tun.c:484
#, c-format
msgid "fork failed: %s\n"
msgstr ""

#: tun.c:488
msgid "setpgid"
msgstr ""

#: tun.c:493
msgid "execl"
msgstr ""

#: tun.c:498
msgid "(script)"
msgstr ""

#: tun.c:566
#, c-format
msgid "Failed to write incoming packet: %s\n"
msgstr ""

#: xml.c:45
#, c-format
msgid "Failed to open %s: %s\n"
msgstr ""

#: xml.c:52
#, c-format
msgid "Failed to fstat() %s: %s\n"
msgstr ""

#: xml.c:62
#, c-format
msgid "Failed to allocate %d bytes for %s\n"
msgstr ""

#: xml.c:70
#, c-format
msgid "Failed to read %s: %s\n"
msgstr ""

#: xml.c:124 xml.c:149
#, c-format
msgid "Treating host \"%s\" as a raw hostname\n"
msgstr ""

#: xml.c:131
#, c-format
msgid "Failed to SHA1 existing file\n"
msgstr ""

#: xml.c:139
#, c-format
msgid "XML config file SHA1: %s\n"
msgstr ""

#: xml.c:147
#, c-format
msgid "Failed to parse XML config file %s\n"
msgstr ""

#: xml.c:184
#, c-format
msgid "Host \"%s\" has address \"%s\"\n"
msgstr ""

#: xml.c:194
#, c-format
msgid "Host \"%s\" has UserGroup \"%s\"\n"
msgstr ""

#: xml.c:208
#, c-format
msgid "Host \"%s\" not listed in config; treating as raw hostname\n"
msgstr ""

#: yubikey.c:96
#, c-format
msgid "Failed to send \"%s\" to ykneo-oath applet: %s\n"
msgstr ""

#: yubikey.c:103
#, c-format
msgid "Invalid short response to \"%s\" from ykneo-oath applet\n"
msgstr ""

#: yubikey.c:120
#, c-format
msgid "Failure response to \"%s\": %04x\n"
msgstr ""

#: yubikey.c:174
msgid "select applet command"
msgstr ""

#: yubikey.c:185 yubikey.c:427
msgid "Unrecognised response from ykneo-oath applet\n"
msgstr ""

#: yubikey.c:201
#, c-format
msgid "Found ykneo-oath applet v%d.%d.%d.\n"
msgstr ""

#: yubikey.c:225
msgid "PIN required for Yubikey OATH applet"
msgstr ""

#: yubikey.c:230
msgid "Yubikey PIN:"
msgstr ""

#: yubikey.c:257
msgid "Failed to calculate Yubikey unlock response\n"
msgstr ""

#: yubikey.c:274
msgid "unlock command"
msgstr ""

#: yubikey.c:306
msgid "Trying truncated-char PBKBF2 variant of Yubikey PIN\n"
msgstr ""

#: yubikey.c:345
#, c-format
msgid "Failed to establish PC/SC context: %s\n"
msgstr ""

#: yubikey.c:350
msgid "Established PC/SC context\n"
msgstr ""

#: yubikey.c:356 yubikey.c:368
#, c-format
msgid "Failed to query reader list: %s\n"
msgstr ""

#: yubikey.c:395
#, c-format
msgid "Failed to connect to PC/SC reader '%s': %s\n"
msgstr ""

#: yubikey.c:400
#, c-format
msgid "Connected PC/SC reader '%s'\n"
msgstr ""

#: yubikey.c:405
#, c-format
msgid "Failed to obtain exclusive access to reader '%s': %s\n"
msgstr ""

#: yubikey.c:415
msgid "list keys command"
msgstr ""

#. Translators: This is filled in with mode and hash type, and the key identifier.
#. e.g. "Found HOTP/SHA1 key: 'Work VPN key'\n"
#: yubikey.c:448
#, c-format
msgid "Found %s/%s key '%s' on '%s'\n"
msgstr ""

#: yubikey.c:471
#, c-format
msgid ""
"Token '%s' not found on Yubikey '%s'. Searching for another Yubikey...\n"
msgstr ""

#: yubikey.c:519
msgid "Server is rejecting the Yubikey token; switching to manual entry\n"
msgstr ""

#: yubikey.c:573
msgid "Generating Yubikey token code\n"
msgstr ""

#: yubikey.c:578
#, c-format
msgid "Failed to obtain exclusive access to Yubikey: %s\n"
msgstr ""

#: yubikey.c:622
msgid "calculate command"
msgstr ""

#: yubikey.c:630
msgid "Unrecognised response from Yubikey when generating tokencode\n"
msgstr ""
